import React from 'react';
import { FormProps, AnyObject } from 'react-final-form';
import { Checkout } from '@comparaonline/cico-funnel-schema';
import { CicoForm } from '@comparaonline/quote-forms-schema/dist/schema';
import { RequiredFileHandlers } from '@comparaonline/ui-form-fields-next';
import { AllowedPaymentMethod, Offer, Submitter, StepChangeHandler } from '../types';
import { StepIds } from '../constants';
interface FileHandler {
    fileHandler: RequiredFileHandlers;
}
interface WizardFormProps extends FileHandler {
    bffURL: string;
    fulfillmentPresenterURL: string;
    createInspection: Submitter;
    showInspectionCenter(): void;
    extended: boolean;
    handleSubmit: Submitter;
    inspectionCentersUrl: string;
    isDigitalSignatureEnabled: boolean;
    sarlaftSignatureRequired?: boolean;
    offer: Offer;
    ownerViewing: boolean;
    paymentMethods: AllowedPaymentMethod[];
    quoteForm: CicoForm;
    additionalDocumentFilename?: string;
    formProps?: Pick<FormProps<AnyObject>, Exclude<keyof FormProps<AnyObject>, 'onSubmit'>>;
    initialStep?: StepIds;
    onFormValid?: Submitter[];
    onStepChange?: StepChangeHandler;
    requireCarInformation?: string[];
    showAdditionalDocument?: boolean;
    values?: Partial<Checkout>;
    optionalSarlaftFields?: string[];
}
declare const WithApolloWizardFormBase: React.ComponentClass<WizardFormProps, any>;
export { WithApolloWizardFormBase as WizardFormBase, WizardFormProps };
