declare enum Files {
    AdditionalDocument = "files.insuredSarlaft.additionalDocumentUrl",
    SignedAdditionalDocument = "files.insuredSarlaft.additionalSignedDocumentUrl",
    SignedAdditionalDocumentUploadDate = "files.insuredSarlaft.additionalSignedDocumentUploadDate",
    IdentificationDocument = "files.identificationDocument",
    IdentificationDocumentBack = "files.identificationDocumentBack",
    InsuredSarlaft = "files.insuredSarlaft",
    OtherDocuments = "files.otherDocuments",
    PayerSarlaft = "files.payerSarlaft",
    PromissoryNote = "files.promissoryNote",
    PropertyCertificate = "files.propertyCertificate",
    PropertyCertificateBack = "files.propertyCertificateBack"
}
declare enum PromissoryNote {
    Retries = "promissoryNote.retries",
    Status = "promissoryNote.status"
}
declare enum Inspection {
    Type = "inspection.type",
    Name = "inspection.name",
    Phone = "inspection.phone",
    Number = "inspection.inspectionId",
    Own = "inspection.inspectionOwn",
    OrderCreatedWithType = "inspection.orderCreatedWithType"
}
declare enum InspectionNoFieldNames {
    TitleCardButton = "inspection.titleCardButton",
    TitleVirtualInputs = "inspection.titleVirtualInputs",
    InspectionOrder = "inspection.inspectionOrder",
    NumberOrder = "inspection.numberOrder",
    InspectionCenter = "inspection.inspectionCenter",
    VirtualInspectionModal = "virtualInspectionModal"
}
declare enum Payment {
    Method = "payment.method"
}
declare enum PSE {
    Bank = "payment.pse.bank",
    Name = "payment.pse.name",
    PersonalType = "payment.pse.personalType",
    IdentificationNumber = "payment.pse.identificationNumber",
    IdentificationType = "payment.pse.identificationType"
}
declare enum CreditCard {
    CardExpedition = "payment.creditCard.cardExpedition",
    CardNumber = "payment.creditCard.cardNumber",
    CardType = "payment.creditCard.cardType",
    Email = "payment.creditCard.email",
    IdentificationNumber = "payment.creditCard.identificationNumber",
    Installments = "payment.creditCard.installments",
    Name = "payment.creditCard.name"
}
declare enum FieldsNoSave {
    ErrorInspectionOrder = "fieldsNoSave.errorInspectionOrder",
    StatusInputCode = "fieldsNoSave.statusInputCode",
    ValidateCode = "fieldsNoSave.validateCode",
    ValidateQuestions = "fieldsNoSave.validateQuestions",
    ValidateDocuments = "fieldsNoSave.validateDocuments"
}
declare enum IdentityValidation {
    Code = "identityValidation.Code",
    ExpirationDate = "identityValidation.expirationDate",
    Id = "identityValidation.id",
    IdentityValidationAnswers = "identityValidation.identityValidationAnswers",
    ResendCode = "identityValidation.resendCode",
    RetriedCodeValidations = "identityValidation.retriedCodeValidations",
    Status = "identityValidation.status"
}
declare enum DocumentsValidationResult {
    Result = "documentsValidationResult.result",
    Description = "documentsValidationResult.description"
}
interface SarlaftFieldNames {
    Car?: any;
    FinancialEntity: string;
    ForeignTaxation: any;
    HasClaims: string;
    Insurance: any;
    IsCarFinanced: string;
    IsOwner: string;
    IsOwnerThePayer: string;
    Person: any;
    PrincipalSourceOfIncome: string;
    PublicResources: any;
    Work: any;
    Step: string;
}
export declare const NoFieldNames: {
    Inspection: typeof InspectionNoFieldNames;
    PromissoryNoteDownloaderField: string;
};
export declare const FieldNames: {
    Files: typeof Files;
    PromissoryNote: typeof PromissoryNote;
    Inspection: typeof Inspection;
    Insured: SarlaftFieldNames;
    Payer: SarlaftFieldNames;
    Payment: {
        CreditCard: typeof CreditCard;
        PSE: typeof PSE;
        Method: Payment.Method;
    };
    Step: string;
    FieldsNoSave: typeof FieldsNoSave;
    IdentityValidation: typeof IdentityValidation;
    DocumentsValidationResult: typeof DocumentsValidationResult;
    IdentificationDocumentVersion: string;
};
export declare type FieldNames = typeof FieldNames;
export {};
