import { FormApi } from 'final-form';
import { StatusDigitalSignature } from '../constants';
declare type DigitalSignatureHelper<Response = boolean> = (formApi: FormApi) => Response;
declare type AnswerForRequest = {
    questionId: string;
    selectedAnswerId: string;
};
export declare const canInitializeIdentityValidation: (formApi: FormApi, isEnabled: boolean) => boolean;
export declare const canGoToChallengeQuestionFlow: DigitalSignatureHelper;
export declare const getAnswersForRequest: DigitalSignatureHelper<AnswerForRequest[]>;
export declare const getRemainingAttemptsToValidate: DigitalSignatureHelper<number>;
export declare const hasRemainingAttemptsToValidate: DigitalSignatureHelper;
export declare const canResendCode: DigitalSignatureHelper;
export declare const isLastResendCode: DigitalSignatureHelper;
export declare const getDownloadUrl: (fieldName: string, values: any) => any;
export declare const getFilesInformation: (formApi: FormApi, sarlaftSignatureRequired: boolean, additionalDocumentName?: string | undefined) => {
    docUrl: string;
    fileName: string;
}[];
export declare const getIdIdentityValidation: DigitalSignatureHelper<string>;
export declare const getResendedCode: DigitalSignatureHelper<number>;
export declare const getStatus: DigitalSignatureHelper<StatusDigitalSignature>;
export declare const isExpiredIdentityValidation: DigitalSignatureHelper;
export declare const isFailureIdentityValidation: DigitalSignatureHelper;
export declare const isInvalidIdentityValidation: DigitalSignatureHelper;
export declare const isValidIdentityValidation: DigitalSignatureHelper;
export declare const isTimeExpired: DigitalSignatureHelper;
export declare const canEnableQuestionsFlowSubmitButton: (formApi: FormApi) => boolean;
export declare const canRenderDigitalSignatureField: (formApi: FormApi, isDigitalSignatureEnabled: boolean, documentUrlPath: string) => boolean;
export declare const canRenderSignButton: (formApi: FormApi, isEnabled: boolean, requireAdditionalDocument: boolean) => boolean;
export declare const normalizeAdditionalDocumentFilename: (filename: string) => string;
export declare const insuredSarlaftGenerated: (formApi: FormApi) => boolean;
export declare const signedInsuredSarlaftUploaded: (formApi: FormApi) => boolean;
export declare const copyInsuredSarlaftDownloadUrlToUploadUrl: (formApi: FormApi) => void;
export {};
