import { FormApi } from 'final-form';
import { StepIds } from '../../constants';
import { Question } from '../../types';
export declare type BypassCodeValidationResponse = {
    expirationDate: string;
    identityValidationId: number;
    status: string;
    questions: Question[];
};
export declare type FailedResponse = {
    errorCode: string;
    message: string;
    status: string;
};
export declare type InitIdentityValidationCodeResponse = BypassCodeValidationResponse | SendCodeResponse;
export declare type SendCodeResponse = {
    expirationDate: string;
    identityValidationId: number;
    status: string;
};
export declare type SignedDocument = {
    fileName: string;
    downloadUrl: string;
};
export declare type VerifyAndSignResponse = {
    identityValidationId: number;
    signedDocuments: SignedDocument[];
    status: string;
};
declare type DigitalSignatureServiceMethodOkResponse<SuccessfulData> = DigitalSignatureServiceMethod<(SuccessfulData & {
    ok: true;
}) | {
    ok: false;
}>;
export declare type BypassCodeValidation = DigitalSignatureServiceMethodOkResponse<{
    questions: Question[];
}>;
export declare type InitIdentityValidation = DigitalSignatureServiceMethodOkResponse<{
    step: StepIds;
    questions?: Question[];
}>;
export declare type DigitalSignatureServiceMethod<Response> = (formApi: FormApi, BFFURL: string) => Promise<Response>;
export declare type VerifyAndSignMethod = (formApi: FormApi, BFFURL: string, sarlaftSignatureRequired: boolean, additionalDocumentName?: string) => Promise<boolean>;
export {};
