import { CicoSarlaftType } from '@comparaonline/cico-funnel-schema';
import { Gender, IdentificationType } from '@comparaonline/common-schema';
import { Offer, AllowedPaymentMethod } from '../types';
interface SarlaftConfig {
    insuranceVehicleLimit: number;
    yearlyFeeLimit: number;
}
export declare const getInitialCheckout: (quoteForm: any, paymentMethods: AllowedPaymentMethod[], offer: Offer, sarlaftConfig: SarlaftConfig) => {
    inspection: {
        name: any;
        phone: any;
        type: import("@comparaonline/inspection-scheduler-schema").CicoAutomasInspectionType;
        inspectionId: string;
        orderCreatedWithType: string;
    };
    sarlaft: {
        insured: {
            type: CicoSarlaftType;
            foreignTaxation: {
                financialProductCurrency: string;
                hasFinancialProducts: number;
                hasForeignCurrencyOperations: number;
            };
            person: {
                birthDate: string;
                email: any;
                firstName: any;
                gender: Gender;
                identificationNumber: any;
                lastName: any;
                phone: any;
                identificationType: IdentificationType;
            };
            publicResources: {
                hasPublicLink: number;
                hasPublicPosition: number;
                isPubliclyRecognized: number;
                managePublicResources: number;
            };
            work: {
                assetValue: string;
            };
        };
        payer: {
            type: CicoSarlaftType;
            foreignTaxation: {
                hasFinancialProducts: number;
                hasForeignCurrencyOperations: number;
            };
            publicResources: {
                hasPublicLink: number;
                hasPublicPosition: number;
                isPubliclyRecognized: number;
                managePublicResources: number;
            };
        };
    };
    payment: {
        method: string | undefined;
    };
};
export {};
