import { FormApi } from 'final-form';
import { CicoForm } from '@comparaonline/quote-forms-schema/dist/schema';
import { CicoSarlaftType, Checkout } from '@comparaonline/cico-funnel-schema';
import { RequiredFileHandlers, FileInfoHandler } from '@comparaonline/ui-form-fields-next';
import { Step } from '@comparaonline/ui-wizard-step-manager';
import { AllowedPaymentMethod } from './AllowedPaymentMethods';
import { OnGetQuestions, Question } from './digitalSignature';
import { Offer } from './Offer';
import { SarlaftPersonType } from './SarlaftPersonType';
import { StepIds } from '../constants';
declare type ShowInspectionCenter = () => void;
export declare type CreateInspection = (formValues: Partial<Checkout>, formApi: FormApi) => Promise<void> | void;
export declare type GetCarSteps = (requireCarInformation: string[], optionalSarlaftFields?: string[]) => Step[] | [];
export declare type GetInspectionSteps = (input: {
    is0Km: boolean;
    isTLC: boolean;
    product: Offer['product'];
    createInspection: CreateInspection;
    showInspectionCenter: ShowInspectionCenter;
    renewalFlow?: boolean;
}) => Step[] | [];
export declare type GetSarlaftSteps = (input: {
    sarlaftPersonType: SarlaftPersonType;
    carValuation?: string;
    nextStep: StepIds;
    sarlaftType: CicoSarlaftType;
    optionalSarlaftFields?: string[];
}) => Step[];
export declare type StepConfig = (input: {
    additionalDocumentFilename: string;
    bffURL: string;
    fulfillmentPresenterURL: string;
    createInspection: CreateInspection;
    fileHandler: RequiredFileHandlers & FileInfoHandler;
    isDigitalSignatureEnabled: boolean;
    sarlaftSignatureRequired?: boolean;
    offer: Offer;
    onGetQuestions: OnGetQuestions;
    ownerViewing: boolean;
    paymentMethods: AllowedPaymentMethod[];
    quoteForm: CicoForm;
    requireCarInformation: string[];
    sarlaftType: CicoSarlaftType;
    showInspectionCenter: ShowInspectionCenter;
    showAdditionalDocument: boolean;
    questions?: Question[];
    initialStep?: StepIds;
    optionalSarlaftFields?: string[];
}) => Step[];
export declare type GetDigitalSignatureStepsProps = {
    BFFURL: string;
    onGetQuestions: OnGetQuestions;
    sarlaftSignatureRequired?: boolean;
    additionalDocumentName?: string;
    questions?: Question[];
};
export {};
