import React from 'react';
import CircularProgress from '@material-ui/core/CircularProgress';
import Typography from '@material-ui/core/Typography';
import Grid from '@material-ui/core/Grid';

import { withStyles, Styles } from './styles';
import { LoadingBaseProps } from './types';

const LoadingBase = ({ classes, loadingText }: Styles & LoadingBaseProps) => {
  return (
    <Grid className={classes.containerLoading} container={true} alignItems="center">
      <CircularProgress size={18} variant="indeterminate" />
      <Typography variant="body1" color="textSecondary" className={classes.loadingLabel}>
        {loadingText}
      </Typography>
    </Grid>
  );
};

const Loading = withStyles(LoadingBase);

export { Loading };
