import {
  withStyles as withStylesCb,
  WithStyles as MUIWithStyles,
  StyleRulesCallback
} from '@material-ui/core/styles';

const styles: StyleRulesCallback = ({ spacing, typography }) => {
  return {
    container: {
      display: 'flex'
    },
    button: {
      width: 'fit-content',
      fontWeight: typography.fontWeightRegular,
      paddingRight: spacing.unit * 5,
      paddingLeft: spacing.unit * 5
    },
    containerLoading: {
      marginTop: spacing.unit * 2,
      width: 'fit-content'
    },
    loadingLabel: {
      marginLeft: spacing.unit
    }
  };
};

const withStyles = withStylesCb(styles);
type Styles = MUIWithStyles<typeof styles>;

export { withStyles, Styles };
