import React from 'react';
import cx from 'classnames';
import Grid, { GridProps } from '@material-ui/core/Grid';
import { withStyles, WithStyles } from './styles';

const CardBase: React.FC<WithStyles<GridProps>> = ({ classes, className, children, ...props }) => {
  return (
    <Grid
      alignContent="center"
      container={true}
      direction="column"
      {...props}
      className={cx(classes.content, className)}
    >
      {children}
    </Grid>
  );
};

export const Card = withStyles(CardBase);
