import {
  WithStyles as MUIWithStyles,
  StyleRulesCallback,
  withStyles as withStylesCb
} from '@material-ui/core/styles';

const styles: StyleRulesCallback = ({ spacing: { unit } }) => {
  return {
    content: {
      border: '1px solid #CCCCCC',
      padding: unit * 2,
      borderRadius: unit
    }
  };
};

type WithStyles<OriginalProps> = OriginalProps & MUIWithStyles<typeof styles>;
const withStyles = withStylesCb(styles);

export { withStyles, WithStyles };
