import {
  WithStyles as MUIWithStyles,
  StyleRulesCallback,
  withStyles as withStylesCb
} from '@material-ui/core/styles';

const styles: StyleRulesCallback = ({ palette: { primary, error }, spacing: { unit } }) => {
  return {
    button: {
      boxShadow: 'none',
      color: primary.main,
      fontSize: '.725rem',
      fontWeight: 'normal',
      margin: 0,
      marginTop: unit * 3,
      '&:hover': {
        background: 'transparent'
      }
    },
    buttonOutline: {
      width: '314px',
      background: 'white',
      boxShadow: 'none',
      border: `1px solid ${primary.main}`,
      color: primary.main,
      fontWeight: 'normal',
      '&:hover': {
        background: 'transparent'
      }
    },
    helperText: {
      color: 'rgba(0, 0, 0, .6)',
      textAlign: 'center'
    },
    icon: {
      marginRight: unit
    },
    label: {
      margin: unit,
      textAlign: 'center'
    },
    error: {
      borderColor: error.main
    }
  };
};

type WithStyles<OriginalProps> = OriginalProps & MUIWithStyles<typeof styles>;
const withStyles = withStylesCb(styles);

export { withStyles, WithStyles };
