import {
  WithStyles as MUIWithStyles,
  StyleRulesCallback,
  withStyles as withStylesCb
} from '@material-ui/core/styles';

const styles: StyleRulesCallback = ({ palette: { error, primary }, spacing: { unit } }) => {
  return {
    msg: {
      marginBottom: unit * 2
    },
    textColor: {
      color: 'rgba(0, 0, 0, 0.6)'
    },
    button: {
      background: 'white',
      boxShadow: 'none',
      border: `1px solid ${primary.main}`,
      color: primary.main,
      fontWeight: 'normal',
      '&:hover': {
        background: 'transparent'
      }
    },
    loading: {
      margin: '0 auto',
      marginBottom: unit
    },
    error: {
      borderColor: error.main
    }
  };
};

type WithStyles<OriginalProps> = OriginalProps & MUIWithStyles<typeof styles>;
const withStyles = withStylesCb(styles);

export { withStyles, WithStyles };
