import {
  WithStyles as MUIWithStyles,
  StyleRulesCallback,
  withStyles as withStylesCb
} from '@material-ui/core/styles';

const styles: StyleRulesCallback = theme => {
  return {
    container: {
      alignItems: 'center',
      display: 'flex',
      flexDirection: 'row',
      justifyContent: 'space-between',
      maxWidth: '100%',
      width: theme.spacing.unit * 50
    },
    input: {
      width: '5.125rem',
      height: '3.5rem',
      fontSize: theme.spacing.unit * 3,
      textAlign: 'center',
      marginBottom: theme.spacing.unit * 2,
      textTransform: 'uppercase',
      color: theme.palette.text.primary,
      fontFamily: theme.typography.fontFamily,
      borderRadius: theme.shape.borderRadius,
      background: theme.palette.background.default,
      transitionTimingFunction: theme.transitions.easing.easeOut,
      transition: `${theme.transitions.duration.shortest}ms`,
      '&:hover': {
        borderColor: theme.palette.grey[700]
      },
      '&:focus': {
        outlineColor: theme.palette.primary.main
      },
      border: `1px solid ${theme.palette.grey[400]}`
    },
    errorCode: {
      border: `1px solid ${theme.palette.error.main}`,
      outline: `${theme.palette.error.main} solid 1px`
    },
    successCode: {
      border: `1px solid #14B272`,
      outline: '#14B272 solid 1px'
    },
    helperText: {
      ...theme.typography.caption,
      color: 'red'
    }
  };
};

type Styles = MUIWithStyles<typeof styles>;
const withStyles = withStylesCb(styles);

export { withStyles, Styles };
