import { getDistanceFromNow, padStart } from '../helpers';

describe('Countdown helpers', () => {
  describe('getDistanceFromNow', () => {
    it('Should never return a negative value', () => {
      const datetime = new Date('10/05/2020').getTime()
      const { minutes, seconds } = getDistanceFromNow(datetime);
      expect(minutes).toBeGreaterThanOrEqual(0);
      expect(seconds).toBeGreaterThanOrEqual(0);
    })
  });

  describe('padStart', () => {
    it('Should return two digits', () => {
      expect(padStart(1)).toEqual('01');
      expect(padStart(10)).toEqual('10');
    });
  });
});
