import { SECOND_AS_MILISECOND } from '../../constants';
import { HOUR_AS_MILISECOND, MIN_NUMBER_LENGTH, MINUTE_AS_MILISECOND } from './constants';

export const padStart = (num: number): string => num.toString().padStart(MIN_NUMBER_LENGTH, '0');

export const getDistanceFromNow = (expireTime: number): Record<'minutes' | 'seconds', number> => {
  const distanceTime = expireTime - Date.now();

  if (distanceTime < 1) return { minutes: 0, seconds: 0 };

  const minutes = Math.floor((distanceTime % HOUR_AS_MILISECOND) / MINUTE_AS_MILISECOND);
  const seconds = Math.floor((distanceTime % MINUTE_AS_MILISECOND) / SECOND_AS_MILISECOND);

  return { minutes, seconds };
};
