import {
  WithStyles as MUIWithStyles,
  StyleRulesCallback,
  withStyles as withStylesCb
} from '@material-ui/core/styles';

const styles: StyleRulesCallback = theme => {
  const {
    palette: { primary },
    spacing: { unit },
    typography: { pxToRem }
  } = theme;

  return {
    icon: {
      color: primary.dark,
      marginRight: `${unit * 2}px`,
      height: 20,
      width: 17
    },
    text: {
      alignItems: 'center',
      display: 'flex',
      color: primary.dark,
      fontSize: pxToRem(18),
      fontWeight: 700,
      justifyContent: 'center',
      textAlign: 'center'
    }
  };
};

type Styles = MUIWithStyles<typeof styles>;
const withStyles = withStylesCb(styles);

export { withStyles, Styles };
