import { FileValue, DownloadFileHandler, GetFileInfo, ButtonType } from './types';
import { FormApi } from 'final-form';

const createDownloadHandler = (
  file: FileValue,
  buttonType: ButtonType,
  fieldName: string,
  getFileInfo: GetFileInfo,
  onDownloadFile: DownloadFileHandler,
  formApi: FormApi
) => () => {
  const fileInfo = getFileInfo({ file, buttonType, fieldName, formApi });
  onDownloadFile(fileInfo.fileName, fileInfo.url);
};

export { createDownloadHandler };
