import {
  withStyles as withStylesCb,
  WithStyles as MUIWithStyles,
  StyleRulesCallback
} from '@material-ui/core/styles';

const downloadButtonStyles: StyleRulesCallback = () => {
  return {
    container: {
      overflow: 'hidden',
      width: '100%'
    },
    helperText: {
      color: '#14B272',
      textAlign: 'center'
    }
  };
};

const fileDisplayStyles: StyleRulesCallback = ({ spacing, palette, typography }) => ({
  container: {
    height: spacing.unit * 10,
    border: `1px solid ${palette.grey[500]}`,
    borderRadius: spacing.unit * 2,
    overflow: 'hidden'
  },
  greenBorder: {
    border: `1px solid #59D7A4`
  },
  fileIcon: {
    fontSize: typography.h4.fontSize,
    color: palette.primary.main
  },
  downloadIcon: {
    fontSize: typography.h5.fontSize,
    color: palette.primary.main
  },
  fileName: {
    overflow: 'hidden',
    width: '100%',
    whiteSpace: 'nowrap',
    textOverflow: 'ellipsis'
  },
  date: {
    color: palette.grey[500]
  },
  leftGrid: {
    marginLeft: 'auto'
  },
  labelButton: {
    fontSize: '0.8rem',
    fontWeight: 'lighter',
    textTransform: 'none'
  }
});

const withDownloadButtonStyles = withStylesCb(downloadButtonStyles);
type WithDownloadButtonStyles = MUIWithStyles<typeof downloadButtonStyles>;

const withFileDisplayStyles = withStylesCb(fileDisplayStyles);
type WithFileDisplayStyles = MUIWithStyles<typeof fileDisplayStyles>;

export {
  withDownloadButtonStyles,
  WithDownloadButtonStyles,
  withFileDisplayStyles,
  WithFileDisplayStyles
};
