import React, { useState } from 'react';
import { Button, CircularProgress, Grid } from '@material-ui/core';
import { withStyles } from './styles';

const GoToChallengeQuestionFlowBase = ({ classes, onClick, texts }) => {
  const [loading, setLoading] = useState(false);
  const handleClick = async () => {
    setLoading(true);
    await onClick();
    setLoading(false);
  };

  return (
    <Grid alignItems="center" container={true} direction="row" justify="center">
      <Button className={classes.button} disabled={loading} onClick={handleClick}>
        {texts.buttonText}
      </Button>
      {loading && <CircularProgress size={18} variant="indeterminate" />}
    </Grid>
  );
};

export const GoToChallengeQuestionFlow = withStyles(GoToChallengeQuestionFlowBase);
