import {
  withStyles as withStylesCb,
  WithStyles as MUIWithStyles,
  StyleRulesCallback
} from '@material-ui/core/styles';

const styles: StyleRulesCallback = ({ palette: { primary } }) => {
  return {
    button: {
      boxShadow: 'none',
      color: primary.main,
      fontSize: '1.005rem',
      fontWeight: 'normal',
      textDecoration: 'underline',
      textTransform: 'none'
    }
  };
};

const withStyles = withStylesCb(styles);
type Styles = MUIWithStyles<typeof styles>;

export { withStyles, Styles };
