import React from 'react';
import Grid from '@material-ui/core/Grid';
import Typography from '@material-ui/core/Typography';
import { withStyles } from '@material-ui/core/styles';
import { useFormatMessage } from '@comparaonline/react-intl-hooks';

const IMAGE_CAR =
  'https://res.cloudinary.com/compara/image/upload/v1629743522/assets/Frame_kchuwb.svg';

const styles = () => ({
  msg: {
    color: '#333333'
  },
  content: {
    maxWidth: '480px',
    margin: '0 auto',
    paddingTop: '40px'
  },
  image: {
    marginBottom: '48px'
  }
});

const InspectionOwnComponent = ({ classes }) => {
  const t = useFormatMessage();
  return (
    <Grid className={classes.content} container={true} justify="center" alignContent="center">
      <img className={classes.image} src={IMAGE_CAR} alt={t('inspection.alt')} />
      <Typography className={classes.msg} align="center" variant="body1">
        {t('inspection.own')}
      </Typography>
    </Grid>
  );
};

export const InspectionOwn = withStyles(styles)(InspectionOwnComponent);
