import React, { FC } from 'react';
import { IntlProvider, addLocaleData } from 'react-intl';
import { InjectIntlContext } from '@comparaonline/react-intl-hooks';
import es from 'react-intl/locale-data/es';

import { messages } from '../i18n/locale/es-CO';

addLocaleData([...es]);

const IntlProviders: FC = ({ children }) => (
  <IntlProvider locale="es-co" messages={messages}>
    <InjectIntlContext>{children}</InjectIntlContext>
  </IntlProvider>
);

export { IntlProviders };
