import React, { FC } from 'react';
import ProgressionBar from '@material-ui/core/LinearProgress';
import { useInternalFormState } from '@comparaonline/ui-wizard-form-next';

import { WithStyles, withStyles } from './styles';

interface LoadingBarBaseProps {
  loading?: boolean;
}

const LoadingBarBase: FC<WithStyles<LoadingBarBaseProps>> = ({ classes, loading }) => {
  const {
    internalFormState: { loading: internalLoading }
  } = useInternalFormState();

  return (
    <div className={classes.main}>
      {(loading || internalLoading) && <ProgressionBar variant="indeterminate" />}
    </div>
  );
};

export const LoadingBar = withStyles(LoadingBarBase);
