import {
  WithStyles as MUIWithStyles,
  StyleRulesCallback,
  withStyles as withStylesCb
} from '@material-ui/core/styles';

const styles: StyleRulesCallback = ({ spacing: { unit } }) => {
  return {
    textColor: {
      color: 'rgba(0, 0, 0, 0.6)'
    },
    spaceBetweenText: {
      marginBottom: unit
    }
  };
};

type WithStyles<OriginalProps> = OriginalProps & MUIWithStyles<typeof styles>;
const withStyles = withStylesCb(styles);

export { withStyles, WithStyles };
