import React from 'react';
import { useFormatMessage } from '@comparaonline/react-intl-hooks';
import Grid from '@material-ui/core/Grid';
import cx from 'classnames';
import { withStyles, WithStyles } from './styles';

interface PaymentLogoBaseProps {
  logo?: string;
  isDisabled?: boolean;
}

const PaymentLogoBase = ({
  logo,
  classes,
  isDisabled = false
}: WithStyles<PaymentLogoBaseProps>): JSX.Element => {
  const translate = useFormatMessage();
  const imgAlt = translate('payment.option.imageAlt');

  return (
    <Grid container={true} justify="center" alignContent="center">
      <img
        className={cx(classes.image, isDisabled ? classes.disabledImg : '')}
        src={logo}
        alt={imgAlt}
      />
    </Grid>
  );
};
export const PaymentLogo = withStyles(PaymentLogoBase);
