import {
  WithStyles as MUIWithStyles,
  StyleRulesCallback,
  withStyles as withStylesCb
} from '@material-ui/core/styles';

const styles: StyleRulesCallback = () => {
  return {
    image: {
      width: '70px',
      height: '70px'
    },
    disabledImg: {
      filter: 'grayscale(100%) opacity(0.3)'
    }
  };
};

type WithStyles<OriginalProps> = OriginalProps & MUIWithStyles<typeof styles>;
const withStyles = withStylesCb(styles);

export { withStyles, WithStyles };
