import {
  WithStyles as MUIWithStyles,
  StyleRulesCallback,
  withStyles as withStylesCb
} from '@material-ui/core/styles';

const styles: StyleRulesCallback = ({ spacing: { unit } }) => {
  return {
    container: {
      textAlign: 'center'
    },
    dialogTitleContainer: {
      display: 'flex',
      padding: `${unit * 3}px ${unit * 3}px ${unit}px`
    },
    dialogTitleText: {
      flex: '1'
    },
    containerPdf: {
      width: '80%',
      height: '60vh',
      margin: `${unit * 2}px 0`,
      '@media screen and (max-width: 480px)': {
        width: '95%',
        height: '50vh'
      }
    },
    buttonEdit: {
      display: 'block',
      fontWeight: 'normal',
      margin: `${unit * 2}px auto 0`
    },
    dialogPaper: {
      maxHeight: 'fit-content'
    }
  };
};

type Styles = MUIWithStyles<typeof styles>;
const withStyles = withStylesCb(styles);

export { withStyles, Styles };
