import {
  WithStyles as MUIWithStyles,
  StyleRulesCallback,
  withStyles as withStylesCb
} from '@material-ui/core/styles';

const styles: StyleRulesCallback = ({ palette: { primary } }) => {
  return {
    button: {
      boxShadow: 'none',
      color: primary.main,
      fontSize: '1.005rem',
      fontWeight: 'normal',
      textDecoration: 'underline',
      textTransform: 'none'
    },
    container: {},
    helperText: {
      color: '#333',
      letterSpacing: '0.4'
    },
    text: {
      color: '#333'
    }
  };
};

type Styles = MUIWithStyles<typeof styles>;
const withStyles = withStylesCb(styles);

export { withStyles, Styles };
