import React from 'react';
import DialogContent from '@material-ui/core/DialogContent';
import { useFormatMessage } from '@comparaonline/react-intl-hooks';
import { Styles, withStyles } from './styles';
import { SarlaftDialogImageSrc } from '../constants';

const SarlaftDialogImageBase: React.FC<Styles> = ({ classes }) => {
  const translate = useFormatMessage();
  return (
    <DialogContent className={classes.dialogImage}>
      <img src={SarlaftDialogImageSrc} alt={translate('sarlaft.dialog.imageAlt')} />
    </DialogContent>
  );
};

const SarlaftDialogImage = withStyles(SarlaftDialogImageBase);

export { SarlaftDialogImage };
