import React from 'react';
import Grid from '@material-ui/core/Grid';
import { CloudinaryImage } from '@comparaonline/cloudinary-image';

const SUBSIDARIES: string[][] = [
  ['v1629833822/assets/payments/co/efecty.svg', 'v1629833822/assets/payments/co/bancolombia.svg'],
  [
    'v1629833822/assets/payments/co/banco-bogota.svg',
    'v1629833822/assets/payments/co/davivienda.svg'
  ]
];

export const Subsidiaries = (): JSX.Element => {
  return (
    <Grid container={true}>
      {SUBSIDARIES.map((row, idx) => (
        <Grid
          key={`subidaries-${idx}`}
          container={true}
          item={true}
          justify="space-around"
          alignItems="center"
        >
          {row.map((image, index) => (
            <CloudinaryImage name={image} style={{ margin: 16 }} key={`subidary-${index}`} />
          ))}
        </Grid>
      ))}
    </Grid>
  );
};
