import {
  WithStyles as MUIWithStyles,
  StyleRulesCallback,
  withStyles as withStylesCb
} from '@material-ui/core/styles';

const styles: StyleRulesCallback = ({ palette: { primary } }) => ({
  button: {
    background: 'white',
    boxShadow: 'none',
    color: primary.main,
    fontSize: '1rem',
    fontWeight: 600
  }
});

type Styles = MUIWithStyles<typeof styles>;
const withStyles = withStylesCb(styles);

export { withStyles, Styles };
