import React from 'react';
import { CardButtonOptionItem } from '../../types';
import { CloudinaryImage } from '@comparaonline/cloudinary-image';
import { FieldNames } from '../FieldNames';
import { CicoAutomasInspectionType } from '@comparaonline/inspection-scheduler-schema';

const FILTER_UNCHECKED = ['e_grayscale', 'o_36'];

export const INSPECTION_OPTIONS: Record<CicoAutomasInspectionType, CardButtonOptionItem> = {
  [CicoAutomasInspectionType.AVA]: {
    value: CicoAutomasInspectionType.AVA,
    description: t =>
      t(`${FieldNames.Inspection.Type}.${CicoAutomasInspectionType.AVA}.description`),
    label: t => t(`${FieldNames.Inspection.Type}.${CicoAutomasInspectionType.AVA}.label`),
    image: <CloudinaryImage name="v1630349293/assets/forms/Icon/celphone_ktvtbq.png" />,
    imageUnchecked: (
      <CloudinaryImage
        name="v1630349293/assets/forms/Icon/celphone_ktvtbq.png"
        transformation={FILTER_UNCHECKED}
      />
    )
  },
  [CicoAutomasInspectionType.CEN]: {
    value: CicoAutomasInspectionType.CEN,
    description: t =>
      t(`${FieldNames.Inspection.Type}.${CicoAutomasInspectionType.CEN}.description`),
    label: t => t(`${FieldNames.Inspection.Type}.${CicoAutomasInspectionType.CEN}.label`),
    image: <CloudinaryImage name="v1630350177/assets/forms/Icon/route_nksruc.png" />,
    imageUnchecked: (
      <CloudinaryImage
        name="v1630350177/assets/forms/Icon/route_nksruc.png"
        transformation={FILTER_UNCHECKED}
      />
    )
  }
};
