import { CicoClientType } from '@comparaonline/cico-funnel-schema';
import { IdentificationType, ExtraIdentificationType } from '@comparaonline/common-schema';
import { FieldNames } from '../FieldNames';
import { getSelectOptions } from '../../helpers';
import { FormatMessage } from '@comparaonline/react-intl-hooks';

const PersonalTypeOptions: CicoClientType[] = [CicoClientType.Natural, CicoClientType.Legal];

const createSelectOptions = (options: string[], translatePrefix: string) =>
  getSelectOptions(
    options.map(value => ({
      value,
      translatePrefix
    }))
  );

export const PsePersonalTypeOptions = createSelectOptions(
  PersonalTypeOptions,
  FieldNames.Payment.PSE.PersonalType
);

export const PseIdentificationTypeOptions = [
  IdentificationType.NationalId,
  IdentificationType.ForeignNationalId,
  IdentificationType.IdentifcationCard,
  IdentificationType.TaxesId,
  IdentificationType.Passport,
  ExtraIdentificationType.UniqueIdentifier,
  ExtraIdentificationType.BirthCertificate,
  ExtraIdentificationType.ForeignDocument
].map(value => ({
  value,
  label: (t: FormatMessage) => t(`${FieldNames.Payment.PSE.IdentificationType}.values.${value}`)
}));
