import types from 'creditcards-types';
import { ICardType as CardType } from 'creditcards-types/type';

export const cleanCardNumber = (cardNumber: string): string => cardNumber.replace(/[^\d]/g, '');

export const getCardType = (cardNumber: string, eager: boolean = false): CardType | undefined => {
  const cleanedNumber = cleanCardNumber(cardNumber);
  const cardType = types.find(type => type.test(cleanedNumber, eager));
  return cardType;
};
