import {
  RequiredFileHandlers,
  FileInfoHandler,
  GetFileInfo,
  ButtonType
} from '@comparaonline/ui-form-fields-next';
import { FormatMessage } from '@comparaonline/react-intl-hooks';

type DecorateFileHandlers = (
  fileHandlers: RequiredFileHandlers,
  translate: FormatMessage
) => RequiredFileHandlers & FileInfoHandler;

const getFileInfo = (translate: FormatMessage): GetFileInfo => ({
  file,
  buttonType,
  fieldName
}) => {
  const fileName: string = translate(`files.name.${fieldName}.${buttonType}`);
  const url = buttonType === ButtonType.Main ? file.uploadUrl : file.downloadUrl;

  return { fileName, url };
};

const decorateFileHandlers: DecorateFileHandlers = (fileHandlers, translate) => {
  return {
    ...fileHandlers,
    getFileInfo: getFileInfo(translate)
  };
};

export { decorateFileHandlers };
