import { FormApi, getIn } from 'final-form';
import { FieldNames } from '../constants';

export const canEnableFileStepSubmitButton = (formApi: FormApi) => {
  const values = formApi.getState().values;
  const sarlaft = getIn(values, `${FieldNames.Files.InsuredSarlaft}.uploadUrl`);
  const identificationDocument = getIn(
    values,
    `${FieldNames.Files.IdentificationDocument}.uploadUrl`
  );
  const propertyDocument = getIn(values, `${FieldNames.Files.PropertyCertificate}.uploadUrl`);
  return !(sarlaft && identificationDocument && propertyDocument);
};
