import { AnyObject } from 'final-form';

const isANestedObject = obj => obj !== null && typeof obj === 'object' && !(obj instanceof Date);

const filterUndefinedData = (obj = {}) =>
  Object.keys(obj).reduce((output: AnyObject, key: string) => {
    const value = obj[key];
    if (value !== undefined) {
      output[key] = isANestedObject(value) ? filterUndefinedData(value) : value;
    }
    return output;
  }, {});

export { filterUndefinedData };
