import { OccupationTypes } from '@comparaonline/common-schema';

const unemployedValue = {
  label: 'unemployed',
  value: '0002'
};

const hiredValue = {
  label: 'hired',
  value: '0010'
};

const occupationTypeToCiiuCode = {
  [OccupationTypes.Hired]: hiredValue,
  [OccupationTypes.Retired]: unemployedValue,
  [OccupationTypes.Student]: unemployedValue,
  [OccupationTypes.Housekeeper]: unemployedValue
};

export const getCiiuCode = (occupationType: OccupationTypes) => {
  return occupationTypeToCiiuCode[occupationType];
};
