import { FormApi } from 'final-form';

const isNotUndefined = (data: any): boolean => typeof data !== 'undefined';

const getFormValueByFieldname = (fieldName: string, formApi: FormApi): any => {
  const { values } = formApi.getState();
  return fieldName
    .split('.')
    .reduce((output, key) => (isNotUndefined(output) ? output[key] : undefined), values);
};

export const getFieldStateValue = (formApi: FormApi, fieldName: string) => {
  const { value } = formApi.getFieldState(fieldName) || { value: undefined };
  const formValue = getFormValueByFieldname(fieldName, formApi);
  return isNotUndefined(value) ? value : formValue;
};
