import { ApolloClient } from 'apollo-client';
import { getFinancialEntities as query } from '../queries';

interface FinancialEntity {
  label: string;
  value: number;
}

const getFinancialEntities = (client: ApolloClient<any>): Promise<FinancialEntity[]> =>
  client.query({ query }).then(({ data }) => data && data.findAllFinancialEntities);

export { getFinancialEntities };
