import React from 'react';
import MenuItem from '@material-ui/core/MenuItem';
import { useFormatMessage } from '@comparaonline/react-intl-hooks';

interface SelectOption {
  translatePrefix: string;
  value: number | string;
}

interface TranslateProps {
  i18nKey: string;
}

const Translate: React.FC<TranslateProps> = ({ i18nKey }) => {
  const t = useFormatMessage();
  return <>{t(i18nKey)}</>;
};

export const getSelectOptions = (options: SelectOption[]) =>
  options.map(option => (
    <MenuItem value={option.value} key={option.value}>
      <Translate i18nKey={`${option.translatePrefix}.values.${option.value}`} />
    </MenuItem>
  ));
