import { getIn, FormApi, AnyObject } from 'final-form';
import { FieldNames } from '../constants';

const hasPayerSarlaft = formApi =>
  !Boolean(getIn(formApi.getState().values, FieldNames.Insured.IsOwnerThePayer));

export const saveStepIdInSarlafts = (stepId: string | number, formApi: FormApi<AnyObject>) => {
  if (hasPayerSarlaft(formApi)) {
    formApi.change(FieldNames.Payer.Step, stepId);
  }
  formApi.change(FieldNames.Insured.Step, stepId);
  formApi.change(FieldNames.Step, stepId);
};
