import * as transformEntity from './transformEntitiesValue';
import * as transformFinancialEntity from './transformFinancialEntity';
import * as transformToBoolean from './transformToBoolean';
import * as transformIsEventSubmit from './transformIsEventSubmit';
import { Transformer } from '../types';

const inputTransformers: Transformer[] = [
  transformToBoolean.transformInput,
  transformEntity.transformInput,
  transformFinancialEntity.transformInput,
  transformIsEventSubmit.transformer
];

const outputTransformers: Transformer[] = [
  transformEntity.transformOutput,
  transformFinancialEntity.transformOutput,
  transformIsEventSubmit.transformer
];

const transformInput: Transformer = data =>
  inputTransformers.reduce((values, transformer) => transformer(values), data);

const transformOutput: Transformer = data =>
  outputTransformers.reduce((values, transformer) => transformer(values), data);

export { transformInput, transformOutput };
