// prettier-ignore
// tslint:disable
import { ERROR_CODE_PREFIX } from '@comparaonline/ui-with-final-form-field';
import {
  CivilStatus,
  CompanyTypes,
  EducationLevel,
  Gender,
  HousingType,
  OccupationTypes,
  ExtraIdentificationType
} from '@comparaonline/common-schema';
import { IdentificationType } from '@comparaonline/common-schema';

import * as validators from '../../validators';
import {
  CarSectionId,
  CurrencyOperations,
  FieldNames,
  ForeignProductTypes,
  InsuranceCategories,
  InsuranceResults,
  PaymentSectionId,
  NoFieldNames
} from '../../constants';
import { ButtonType } from '@comparaonline/ui-form-fields-next';
import { CicoPaymentMethod, CicoClientType } from '@comparaonline/cico-funnel-schema';
import { CicoAutomasInspectionType } from '@comparaonline/inspection-scheduler-schema';
import {IdentificationDocumentVersion} from "../../types";

export const messages = {
  extendedTitle: 'Checkout Colombia',
  yes: 'Sí',
  no: 'No',

  'inspection.form.title': '¿Dónde prefieres inspeccionar tu vehículo?',
  'inspection.result.center.subtitle': 'Con tu tarjeta de propiedad y este nº de orden puedes asistir al centro de inspección más cercano',
  'inspection.result.center.title': 'Centro de inspección',
  'inspection.result.center.warning': '¡Agendaste inspección exitosamente! Recibirás un correo con toda la información',
  'inspection.result.centers': 'centros de inspección',
  'inspection.result.home.subtitle': 'Te contará el centro de inspección Automás para coordinar la fecha y hora del peritaje que se le realizará a tu vehículo',
  'inspection.result.home.title': 'A domicilio',
  'inspection.result.home.warning': 'Se te enviará un mail con tu nº de inspección',
  'inspection.result.number': 'Número de inspección',
  'inspection.own.bold': 'Para estar asegurado necesitas inspeccionar tu vehículo.',
  'inspection.own': 'La emisión de tu póliza se realizará después de inspeccionar el vehículo y diligenciar el SARLAFT. Para iniciar el proceso te pediremos registrar los datos de pago. Posteriormente, uno de nuestros ejecutivos te contactará para coordinar los próximos pasos y emitir tu póliza.',
  'inspection.alt': 'icono de verificacion',
  'inspection.own.btn': 'CONTINUAR AL PAGO',
  'inspection.order.success.label': 'Tu orden de inspección es la número:',
  'inspection.order.virtual.helper': 'Te enviaremos un mensaje de texto o Whatsapp con el enlace para acceder a la inspección. Recibirás un correo con toda la información.',
  'inspection.order.presential.helper': 'Asiste a un centro de inspección de Automás con tu número de orden y tarjeta de propiedad. Te enviaremos un correo electrónico con toda la información',
  'WizardModal.back': 'atrás',
  'WizardModal.next': 'continuar',

  // Step titles
  [`${CarSectionId}.title`]: 'Sobre el vehículo',
  [`${PaymentSectionId}.title`]: 'Selecciona el medio de pago',
  'identityValidationCode.subtitle': 'Necesitamos validar tu identidad para continuar con el proceso. Te hemos enviado un código a tu teléfono {phone}',
  'identityValidationCode.title': 'Validando identidad',
  'insurance.title': 'Reclamo de seguros',
  'insured.title': 'Datos personales',
  'files.subtitle': 'Necesitamos estos archivos para emitir tu póliza',
  'files.title': 'Documentos',
  [`files.${FieldNames.Files.AdditionalDocument}.waiting`]: 'Generando {filename}...',
  [`files.${FieldNames.Files.InsuredSarlaft}.waiting`]: 'Generando SARLAFT...',
  [`files.${FieldNames.Files.PayerSarlaft}.waiting`]: 'Generando SARLAFT de tomador...',
  [`files.${FieldNames.Files.PromissoryNote}.waiting`]: 'Generando PAGARÉ...',
  [`files.${FieldNames.Files.AdditionalDocument}.ready`]: '{filename} listo',
  [`files.${FieldNames.Files.InsuredSarlaft}.ready`]: 'SARLAFT listo',
  [`files.${FieldNames.Files.PayerSarlaft}.ready`]: 'SARLAFT de tomador listo',
  [`files.${FieldNames.Files.PromissoryNote}.ready`]: 'PAGARÉ listo',
  [`files.${FieldNames.Files.PromissoryNote}.error`]: 'PAGARÉ no generado',
  'financial.title': 'Datos financieros',
  'foreignTaxation.title': 'Operaciones tributarias en el extranjero',
  'occupation.title': 'Datos laborales',
  'publicResources.title': 'Manejo de recursos públicos',
  'relation.title': 'Datos de vinculación',
  'sarlaft.Insured': 'SARLAFT',
  'sarlaft.Payer': 'SARLAFT del tomador',
  'sourceOfIncome.title': 'Fuente principal de ingresos',

  'sarlaft.relation.editInfo': 'Editar información',

  'sarlaft.dialog.button': 'Ok, vamos',
  'sarlaft.dialog.imageAlt': 'Atención',
  'sarlaft.dialog.message': 'Documento solicitado por la Superintendencia Financiera de Colombia y que es considerado como una herramienta de prevención para que las aseguradoras no sean utilizadas para el lavado de activos y financiación de terrorismo. Adicional, es un documentos obligatorio para la emisión de la póliza.',
  'sarlaft.dialog.title': 'SARLAFT',

  'identityValidation.buttonSignAll': 'FIRMAR TODO ELECTRÓNICAMENTE',
  'identityValidation.buttonSignPromissoryNote': 'FIRMAR PAGARÉ ELECTRÓNICAMENTE',
  'identityValidation.loadingSign': 'Espera unos instantes',
  'identityValidation.questionsTitle': 'Validando identidad',
  'identityValidation.questionsSubtitle': 'Para validar tu identidad, responde correctamente a las preguntas que verás a continuación:',
  'identityValidation.questionsInfoWarning': 'Sólo el titular del documento está en capacidad de responder las preguntas.',

  [`${FieldNames.IdentityValidation.Code}.attemptsRemainingError`]: '{attemptsRemaining, plural, =1{Código incorrecto. Te queda {attemptsRemaining} intento.} other{Código incorrecto. Te quedan {attemptsRemaining} intentos.}}',
  [`${FieldNames.IdentityValidation.Code}.lastFailedAttempt`]: 'Último intento fallido, No se pudo hacer la validación.',
  [`${FieldNames.FieldsNoSave.ValidateCode}.button`]: 'validar identidad',
  [`${FieldNames.FieldsNoSave.ValidateCode}.loading`]: 'Validando los datos...',
  [`${FieldNames.FieldsNoSave.ValidateQuestions}.button`]: 'validar identidad',
  [`${FieldNames.FieldsNoSave.ValidateQuestions}.loading`]: 'Validando los datos...',
  [`${FieldNames.FieldsNoSave.ValidateDocuments}.button`]: 'validar documentos',
  [`${FieldNames.FieldsNoSave.ValidateDocuments}.loading`]: 'Validando documentos...',

  'files.sarlaftPayer.label': 'SARLAFT tomador',
  'files.sarlaftPayer.callToAction': 'Llenar SARLAFT',
  'files.sarlaftPayer.helperText': 'Cárgalo con firma y huella legible',
  [`files.name.${FieldNames.Files.InsuredSarlaft}.${ButtonType.Main}`]: 'Sarlaft-asegurado-firmado',
  [`files.name.${FieldNames.Files.InsuredSarlaft}.${ButtonType.Secondary}`]: 'Sarlaft-asegurado',
  [`files.name.${FieldNames.Files.PayerSarlaft}.${ButtonType.Main}`]: 'Sarlaft-tomador-firmado',
  [`files.name.${FieldNames.Files.PayerSarlaft}.${ButtonType.Secondary}`]: 'Sarlaft-tomador',
  [`files.name.${FieldNames.Files.PromissoryNote}.${ButtonType.Main}`]: 'Pagare-firmado',
  [`files.name.${FieldNames.Files.PromissoryNote}.${ButtonType.Secondary}`]: 'Pagare',
  [`files.name.${FieldNames.Files.IdentificationDocument}.${ButtonType.Main}`]: 'Identificacion-frente',
  [`files.name.${FieldNames.Files.IdentificationDocumentBack}.${ButtonType.Main}`]: 'Identificacion-reverso',
  [`files.name.${FieldNames.Files.PropertyCertificate}.${ButtonType.Main}`]: 'Tarjeta-de-propiedad-frente',
  [`files.name.${FieldNames.Files.PropertyCertificateBack}.${ButtonType.Main}`]: 'Tarjeta-de-propiedad-reverso',
  [`files.name.${FieldNames.Files.OtherDocuments}.${ButtonType.Main}`]: 'Otro ',

  [`${FieldNames.Files.AdditionalDocument}.helperText`]: 'Cárgalo con firma y huella legible',
  [`${FieldNames.Files.AdditionalDocument}.buttonText`]: 'Selecciona',
  [`${FieldNames.Files.AdditionalDocument}.buttonTextAfter`]: 'o arrastra tu archivo',
  [`${FieldNames.Files.AdditionalDocument}.secondaryButtonText`]: 'Descargar {filename}',
  [`${FieldNames.Files.AdditionalDocument}.documentButtonText`]: 'Ver documento',
  [`${FieldNames.Files.AdditionalDocument}.fileName`]: '{filename}.pdf',
  [`${FieldNames.Files.AdditionalDocument}.modal.title`]: 'Vista previa del {filename}',
  [`${FieldNames.Files.AdditionalDocument}.modal.subtitle`]: 'Verifica que todos los datos estén correctos antes de firmarlo electrónicamente',
  [`${FieldNames.Files.AdditionalDocument}.signatureHelperText`]: '{filename} firmado electrónicamente',

  [`${FieldNames.Files.InsuredSarlaft}.helperText`]: 'Cárgalo con firma y huella legible',
  [`${FieldNames.Files.InsuredSarlaft}.label`]: 'SARLAFT',
  [`${FieldNames.Files.InsuredSarlaft}.buttonText`]: 'Selecciona',
  [`${FieldNames.Files.InsuredSarlaft}.buttonTextAfter`]: 'o arrastra tu archivo',
  [`${FieldNames.Files.InsuredSarlaft}.secondaryButtonText`]: 'Descargar SARLAFT',
  [`${FieldNames.Files.InsuredSarlaft}.documentButtonText`]: 'Ver documento',
  [`${FieldNames.Files.InsuredSarlaft}.signatureHelperText`]: 'SARLAFT firmado electrónicamente',
  [`${FieldNames.Files.InsuredSarlaft}.signatureHelperTextSignatureNotRequired`]: 'SARLAFT cargado sin firma obligatoria',
  [`${FieldNames.Files.InsuredSarlaft}.infoWarningText`]: 'Sustituye la firma manual y el huellado con un solo click al firmar electrónicamente.',
  [`${FieldNames.Files.InsuredSarlaft}.failedSignatureWarningText`]:
    '{hasPromissoryNote, plural, =true{No se pudo validar tu identidad para firma electrónica, puedes continuar manualmente:<br />• Descarga el SARLAFT para firmar y huellar.<br />• Descarga el Pagaré para firmarlo y carga ambos documentos.} other{No se pudo validar tu identidad para firma electrónica. Descarga el SARLAFT para firmar, huellar y cargar.}}',
  [`${FieldNames.Files.InsuredSarlaft}.signatureButtonText`]: 'Firmar electrónicamente',
  [`${FieldNames.Files.InsuredSarlaft}.loadingSignatureButtonText`]: 'Espera unos instantes...',
  [`${FieldNames.Files.InsuredSarlaft}.editButtonText`]: 'Editar SARLAFT',
  [`${FieldNames.Files.InsuredSarlaft}.fileName`]: 'SARLAFT.pdf',
  [`${FieldNames.Files.InsuredSarlaft}.modal.title`]: 'Vista previa del SARLAFT',
  [`${FieldNames.Files.InsuredSarlaft}.modal.subtitle`]: 'Verifica que todos los datos estén correctos antes de firmarlo electrónicamente',



  [`${FieldNames.Files.PayerSarlaft}.helperText`]: 'Cárgalo con firma y huella legible',
  [`${FieldNames.Files.PayerSarlaft}.label`]: 'SARLAFT tomador',
  [`${FieldNames.Files.PayerSarlaft}.buttonText`]: 'Selecciona',
  [`${FieldNames.Files.PayerSarlaft}.buttonTextAfter`]: 'o arrastra tu archivo',
  [`${FieldNames.Files.PayerSarlaft}.secondaryButtonText`]: 'Volver a descargar',

  [`${FieldNames.Files.PromissoryNote}.helperText`]: 'Cárgalo con firma y huella legible',
  [`${FieldNames.Files.PromissoryNote}.label`]: 'Pagaré',
  [`${FieldNames.Files.PromissoryNote}.buttonText`]: 'Selecciona',
  [`${FieldNames.Files.PromissoryNote}.buttonTextAfter`]: 'o arrastra tu archivo',
  [`${FieldNames.Files.PromissoryNote}.generator.buttonText`]: 'Generar pagaré',
  [`${FieldNames.Files.PromissoryNote}.generator.label`]: 'Genera tu pagaré. Súbelo a este formulario con firma y huella legible.',
  [`${FieldNames.Files.PromissoryNote}.generator.loading`]: 'Generando Pagaré...',
  [`${FieldNames.Files.PromissoryNote}.error`]: 'Es obligatorio generar el pagaré para continuar.',
  [`${FieldNames.Files.PromissoryNote}.errorUploadURL`]: 'Es obligatorio firmar el pagaré para continuar.',
  [`${FieldNames.Files.PromissoryNote}.error.buttonText`]: 'Generar pagaré',
  [`${FieldNames.Files.PromissoryNote}.error.loadingText`]: 'Espera unos instantes',
  [`${FieldNames.Files.PromissoryNote}.fileName`]: 'PAGARE.pdf',
  [`${FieldNames.Files.PromissoryNote}.signatureHelperText`]: 'Pagaré firmado electrónicamente',
  [`${FieldNames.Files.PromissoryNote}.documentButtonText`]: 'Ver documento',
  [`${FieldNames.Files.PromissoryNote}.editButtonText`]: 'Editar pagaré',
  [`${FieldNames.Files.PromissoryNote}.secondaryButtonText`]: 'Descargar pagaré',
  [`${FieldNames.Files.PromissoryNote}.modal.title`]: 'Vista previa del Pagaré',
  [`${FieldNames.Files.PromissoryNote}.modal.subtitle`]: 'Verifica que todos los datos estén correctos antes de firmarlo electrónicamente',
  [`${FieldNames.Files.PromissoryNote}.retryPromissoryNote`] : 'Algo falló en la generación del pagaré.',
  [`${FieldNames.Files.PromissoryNote}.failedPromissoryNote`] : 'Algo falló en la generación del pagaré. Ingresa al siguiente link <a href="https://intermediario.portalclientes.finesa.com.co">https://intermediario.portalclientes.finesa.com.co</a>',

  [`${FieldNames.IdentificationDocumentVersion}.label`]: 'Versión de documento de identidad',
  [`${FieldNames.IdentificationDocumentVersion}.values.${IdentificationDocumentVersion.New}`]: 'Nueva',
  [`${FieldNames.IdentificationDocumentVersion}.values.${IdentificationDocumentVersion.Old}`]: 'Vieja',

  [`${FieldNames.Files.IdentificationDocument}.helperText`]: 'Cárgalo legible y sin recortes',
  [`${FieldNames.Files.IdentificationDocument}.label`]: 'Documento de identificación',
  [`${FieldNames.Files.IdentificationDocument}.labelFront`]: 'Documento de identificación frente',
  [`${FieldNames.Files.IdentificationDocument}.buttonText`]: 'Selecciona',
  [`${FieldNames.Files.IdentificationDocument}.buttonTextAfter`]: 'o arrastra tu archivo',

  [`${FieldNames.Files.IdentificationDocumentBack}.helperText`]: 'Cárgalo legible y sin recortes',
  [`${FieldNames.Files.IdentificationDocumentBack}.label`]: 'Documento de identificación reverso',
  [`${FieldNames.Files.IdentificationDocumentBack}.buttonText`]: 'Selecciona',
  [`${FieldNames.Files.IdentificationDocumentBack}.buttonTextAfter`]: 'o arrastra tu archivo',

  [`${FieldNames.Files.PropertyCertificate}.helperText`]: 'Cárgalo legible y sin recortes',
  [`${FieldNames.Files.PropertyCertificate}.label`]: 'Tarjeta de propiedad',
  [`${FieldNames.Files.PropertyCertificate}.labelFront`]: 'Tarjeta de propiedad frente',
  [`${FieldNames.Files.PropertyCertificate}.buttonText`]: 'Selecciona',
  [`${FieldNames.Files.PropertyCertificate}.buttonTextAfter`]: 'o arrastra tu archivo',

  [`${FieldNames.Files.PropertyCertificateBack}.helperText`]: 'Cárgalo legible y sin recortes',
  [`${FieldNames.Files.PropertyCertificateBack}.label`]: 'Tarjeta de propiedad reverso',
  [`${FieldNames.Files.PropertyCertificateBack}.buttonText`]: 'Selecciona',
  [`${FieldNames.Files.PropertyCertificateBack}.buttonTextAfter`]: 'o arrastra tu archivo',

  [`${FieldNames.Files.OtherDocuments}.label`]: 'Otros documentos (opcional)',
  [`${FieldNames.Files.OtherDocuments}.buttonText`]: 'Selecciona',
  [`${FieldNames.Files.OtherDocuments}.buttonTextAfter`]: 'o arrastra tu archivo',

  [`${FieldNames.IdentityValidation.ExpirationDate}.expiredSignatureText`]:
    '{hasPromissoryNote, plural, =true{Tiempo expirado. No se pudo validar tu identidad para firmar electrónicamente. Continúa y firma el SARLAFT y Pagaré de manera manual.} other{Tiempo expirado. No se pudo validar tu identidad para firmar electrónicamente. Continúa y firma el SARLAFT de manera manual.}}',
  [`${FieldNames.IdentityValidation.ExpirationDate}.useAnotherMethod`]: 'Tiempo expirado. Utiliza otro método de verificación.',

  [`${FieldNames.Inspection.Name}.label`]: 'Nombre',
  [`${FieldNames.Inspection.Phone}.label`]: 'Celular',
  [`${FieldNames.Inspection.Phone}.placeholder`]: '+57 300-000-0000',
  [`${FieldNames.Inspection.Type}.${CicoAutomasInspectionType.AVA}.label`]: 'VIRTUAL ASISTIDA',
  [`${FieldNames.Inspection.Type}.${CicoAutomasInspectionType.AVA}.description`]: 'Inspección en línea con ayuda de un ejecutivo.',
  [`${FieldNames.Inspection.Type}.${CicoAutomasInspectionType.CEN}.label`]: 'EN CENTRO DE INSPECCIÓN',
  [`${FieldNames.Inspection.Type}.${CicoAutomasInspectionType.CEN}.description`]: 'Lleva tu vehículo a un centro de inspección.',
  [`${FieldNames.Inspection.Type}.${CicoAutomasInspectionType.CEN}.alert`]: 'La atención en el centro es por orden de llegada.',
  [`${FieldNames.Inspection.Type}.${CicoAutomasInspectionType.CEN}.alert.change`]: 'Para cambiar el tipo de inspección contáctanos al +57 (1) 508 85 44.',
  [`${NoFieldNames.Inspection.TitleCardButton}.title`]: 'Selecciona el tipo de inspección para tu vehículo:',
  [`${NoFieldNames.Inspection.TitleVirtualInputs}.title`]: 'Ingresa los datos de la <b>persona a contactar para la inspección</b>',
  [`${NoFieldNames.Inspection.InspectionOrder}.alert`]: 'Genera tu orden de inspección para continuar',
  [`${NoFieldNames.Inspection.InspectionOrder}.buttonText`]: '¡generar oden de inspección!',
  [`${NoFieldNames.Inspection.InspectionOrder}.error`]: 'Genera tu orden de inspección para continuar.',
  [`${NoFieldNames.Inspection.InspectionOrder}.label`]: 'Genera tu orden de inspección para ser atendido por Automás:',
  [`${NoFieldNames.Inspection.InspectionOrder}.loading`]: 'Generando tu número de inspección...',
  [`${NoFieldNames.Inspection.InspectionCenter}.btn`]: 'ver Centros de inspección',
  [`${NoFieldNames.Inspection.InspectionOrder}.error.generate`]: 'No pudimos generar tu orden de inspección, inténtalo de nuevo o bien continúa con el formulario, <b>un ejecutivo te contactará para ayudarte.</b> Si no quieres esperar, <b>contáctanos al +57 (1) 508 85 44.</b>',

  [`${FieldNames.Insured.Car.Engine}.label`]: 'Nº de motor',
  [`${FieldNames.Insured.Car.Chassis}.label`]: 'Nº de chasis',
  [`${FieldNames.Insured.Car.Serial}.label`]: 'Nº de serie',
  [`${FieldNames.Insured.Car.Color}.label`]: 'Color',
  [`${FieldNames.Insured.Car.Color}.placeholder`]: 'Selecciona el color',
  [`${FieldNames.Insured.Car.CylinderCapacity}.label`]: 'Cilindraje',
  [`${FieldNames.Insured.Car.CylinderCapacity}.placeholder`]: '1600cc',

  [`${FieldNames.Insured.FinancialEntity}.label`]: 'Financiera',
  [`${FieldNames.Insured.FinancialEntity}.placeholder`]: 'Seleccionar la financiera',

  [`${FieldNames.Insured.ForeignTaxation.AmountCurrencyOperations}.label`]: 'Valor de operaciones',
  [`${FieldNames.Insured.ForeignTaxation.CurrencyOperations}.label`]: 'Tipo de operación',
  [`${FieldNames.Insured.ForeignTaxation.CurrencyOperations}.values.${CurrencyOperations.Exports}`]: 'Exportaciones',
  [`${FieldNames.Insured.ForeignTaxation.CurrencyOperations}.values.${CurrencyOperations.Imports}`]: 'Importaciones',
  [`${FieldNames.Insured.ForeignTaxation.CurrencyOperations}.values.${CurrencyOperations.Investments}`]: 'Inversiones',
  [`${FieldNames.Insured.ForeignTaxation.CurrencyOperations}.values.${CurrencyOperations.Loans}`]: 'Préstamos',
  [`${FieldNames.Insured.ForeignTaxation.CurrencyOperations}.values.${CurrencyOperations.Others}`]: 'Otros',
  [`${FieldNames.Insured.ForeignTaxation.CurrencyOperations}.values.${CurrencyOperations.ServicesPay}`]: 'Pago de servicios',
  [`${FieldNames.Insured.ForeignTaxation.CurrencyOperations}.values.${CurrencyOperations.Transfers}`]: 'Transferencias',
  [`${FieldNames.Insured.ForeignTaxation.FinancialProductAmount}.label`]: 'Monto',
  [`${FieldNames.Insured.ForeignTaxation.FinancialProductAmount}.adornment`]: 'USD$',
  [`${FieldNames.Insured.ForeignTaxation.FinancialProductAmount}.helperText`]: 'El valor debe ser en dólares.',
  [`${FieldNames.Insured.ForeignTaxation.FinancialProductEntity}.label`]: 'Nombre de la entidad',
  [`${FieldNames.Insured.ForeignTaxation.FinancialProductCity}.label`]: 'Ciudad',
  [`${FieldNames.Insured.ForeignTaxation.FinancialProductCountry}.label`]: 'País',
  [`${FieldNames.Insured.ForeignTaxation.HasFinancialProducts}.label`]: '¿Posees productos financieros en el exterior?',
  [`${FieldNames.Insured.ForeignTaxation.HasFinancialProducts}.labelTooltip`]: 'Productos con entidades financieras (bancos, fiduciarias) fuera del territorio colombiano. Ej: cuentas bancarias, CDTs, créditos.',
  [`${FieldNames.Insured.ForeignTaxation.HasForeignCurrencyOperations}.label`]: '¿Realiza operaciones en moneda extranjera?',
  [`${FieldNames.Insured.ForeignTaxation.HasForeignCurrencyOperations}.labelTooltip`]: 'Escoja sí, en caso que dentro de la actividad económica realiza transacciones económicas con entidades establecidas fuera del país. Ejemplo: importaciones, exportaciones, transferencias, etc.',
  [`${FieldNames.Insured.ForeignTaxation.NumberOfProduct}.helperText`]: 'Identificación o Nº del producto',
  [`${FieldNames.Insured.ForeignTaxation.NumberOfProduct}.label`]: 'Nº del producto',
  [`${FieldNames.Insured.ForeignTaxation.TypeOfProduct}.label`]: 'Tipo de producto',
  [`${FieldNames.Insured.ForeignTaxation.TypeOfProduct}.values.${ForeignProductTypes.BankAccount}`]: 'Cuenta bancaria',
  [`${FieldNames.Insured.ForeignTaxation.TypeOfProduct}.values.${ForeignProductTypes.CDT}`]: 'CDT',
  [`${FieldNames.Insured.ForeignTaxation.TypeOfProduct}.values.${ForeignProductTypes.FreeInvestmentCredit}`]: 'Crédito de libre inversión',
  [`${FieldNames.Insured.ForeignTaxation.TypeOfProduct}.values.${ForeignProductTypes.Mortgage}`]: 'Crédito hipotecario',
  [`${FieldNames.Insured.ForeignTaxation.TypeOfProduct}.values.${ForeignProductTypes.Other}`]: 'Otro',

  [`${FieldNames.Insured.HasClaims}.label`]: '¿Has tenido reclamaciones de seguros?',
  [`${FieldNames.Insured.HasClaims}.labelTooltip`]: 'Es cuando una persona que ha tenido algún seguro de cualquier índole ha presentado un siniestro a una compañía de seguros, cualquiera que sea el evento, por ejemplo por una pérdida parcial en un seguro de autos, un robo en una póliza de sustracción, etc.',

  [`${FieldNames.Insured.Insurance.Amount}.label`]: 'Valor pagado',
  [`${FieldNames.Insured.Insurance.Category}.label`]: 'Categoría de producto',
  [`${FieldNames.Insured.Insurance.Category}.values.${InsuranceCategories.Accident}`]: 'Accidente',
  [`${FieldNames.Insured.Insurance.Category}.values.${InsuranceCategories.Cars}`]: 'Autos',
  [`${FieldNames.Insured.Insurance.Category}.values.${InsuranceCategories.CivilLiability}`]: 'Responsabilidad civil',
  [`${FieldNames.Insured.Insurance.Category}.values.${InsuranceCategories.Compliance}`]: 'Cumplimiento',
  [`${FieldNames.Insured.Insurance.Category}.values.${InsuranceCategories.FinancialLines}`]: 'Líneas financieras',
  [`${FieldNames.Insured.Insurance.Category}.values.${InsuranceCategories.Funeral}`]: 'Exequiales',
  [`${FieldNames.Insured.Insurance.Category}.values.${InsuranceCategories.Generals}`]: 'Generales',
  [`${FieldNames.Insured.Insurance.Category}.values.${InsuranceCategories.Home}`]: 'Hogar',
  [`${FieldNames.Insured.Insurance.Category}.values.${InsuranceCategories.Other}`]: 'Otro',
  [`${FieldNames.Insured.Insurance.Category}.values.${InsuranceCategories.Transport}`]: 'Transporte',
  [`${FieldNames.Insured.Insurance.Company}.label`]: 'Compañía aseguradora',
  [`${FieldNames.Insured.Insurance.Ramification}.label`]: '',
  [`${FieldNames.Insured.Insurance.Result}.label`]: 'Resultado',
  [`${FieldNames.Insured.Insurance.Result}.values.${InsuranceResults.Compensation}`]: 'Indemnización',
  [`${FieldNames.Insured.Insurance.Result}.values.${InsuranceResults.Complaint}`]: 'Reclamación',
  [`${FieldNames.Insured.Insurance.Year}.label`]: 'Año de reclamación',

  [`${FieldNames.Insured.IsCarFinanced}.label`]: '¿Le debes el vehículo a una entidad financiera?',
  [`${FieldNames.Insured.IsOwner}.label`]: '¿Eres o serás próximamente el propietario(a) del vehículo?',
  [`${FieldNames.Insured.IsOwner}.warning`]: 'La cotización debe estar a nombre del propietario actual del vehículo',
  [`${FieldNames.Insured.IsOwnerThePayer}.label`]: '¿Te harás cargo del pago de la póliza?',
  [`${FieldNames.Insured.IsOwnerThePayer}.warning`]: 'Tendrás que registrar un formulario adicional para la persona que se hará cargo del pago',

  [`${FieldNames.Insured.Person.Address}.label`]: 'Dirección',
  [`${FieldNames.Insured.Person.Address}.placeholder`]: 'Dirección',
  [`${FieldNames.Insured.Person.Birthdate}.label`]: 'Fecha de nacimiento',
  [`${FieldNames.Insured.Person.Birthdate}.placeholder`]: 'DD/MM/AAAA',
  [`${FieldNames.Insured.Person.Birthplace}.label`]: 'Lugar de nacimiento',
  [`${FieldNames.Insured.Person.Birthplace}.placeholder`]: 'Selecciona tu ciudad',
  [`${FieldNames.Insured.Person.ChildrenQuantity}.label`]: 'Número de hijos',
  [`${FieldNames.Insured.Person.ChildrenQuantity}.placeholder`]: '1',
  [`${FieldNames.Insured.Person.City}.label`]: 'Ciudad',
  [`${FieldNames.Insured.Person.City}.placeholder`]: 'Selecciona tu ciudad',
  [`${FieldNames.Insured.Person.CivilStatus}.label`]: 'Estado civil',
  [`${FieldNames.Insured.Person.CivilStatus}.placeholder`]: 'Selecciona tu estado civil',
  [`${FieldNames.Insured.Person.CivilStatus}.values.${CivilStatus.CivilUnion}`]: 'Unión libre',
  [`${FieldNames.Insured.Person.CivilStatus}.values.${CivilStatus.Married}`]: 'Casado',
  [`${FieldNames.Insured.Person.CivilStatus}.values.${CivilStatus.Separated}`]: 'Divorciado',
  [`${FieldNames.Insured.Person.CivilStatus}.values.${CivilStatus.Single}`]: 'Soltero',
  [`${FieldNames.Insured.Person.CivilStatus}.values.${CivilStatus.Widower}`]: 'Viudo',
  [`${FieldNames.Insured.Person.DateIssued}.label`]: 'Fecha de expedición',
  [`${FieldNames.Insured.Person.DateIssued}.placeholder`]: 'DD/MM/AAAA',
  [`${FieldNames.Insured.Person.EducationLevel}.label`]: 'Nivel educativo',
  [`${FieldNames.Insured.Person.EducationLevel}.placeholder`]: 'Selecciona tu nivel educativo',
  [`${FieldNames.Insured.Person.EducationLevel}.values.${EducationLevel.Baccalaureate}`]: 'Bachillerato',
  [`${FieldNames.Insured.Person.EducationLevel}.values.${EducationLevel.Graduate}`]: 'Universitario',
  [`${FieldNames.Insured.Person.EducationLevel}.values.${EducationLevel.Other}`]: 'Otro',
  [`${FieldNames.Insured.Person.EducationLevel}.values.${EducationLevel.Postgraduate}`]: 'Postgrado',
  [`${FieldNames.Insured.Person.EducationLevel}.values.${EducationLevel.Technical}`]: 'Técnico',
  [`${FieldNames.Insured.Person.EducationLevel}.values.${EducationLevel.Technologist}`]: 'Tecnólogo',
  [`${FieldNames.Insured.Person.Email}.label`]: 'Correo electrónico',
  [`${FieldNames.Insured.Person.Email}.placeholder`]: 'contacto@comparaonline.com.co',
  [`${FieldNames.Insured.Person.FirstName}.label`]: 'Primer nombre',
  [`${FieldNames.Insured.Person.Gender}.label`]: 'Género',
  [`${FieldNames.Insured.Person.Gender}.placeholder`]: 'Selecciona tu genero',
  [`${FieldNames.Insured.Person.Gender}.values.${Gender.Male}`]: 'Masculino',
  [`${FieldNames.Insured.Person.Gender}.values.${Gender.Female}`]: 'Femenino',
  [`${FieldNames.Insured.Person.HousingType}.label`]: 'Tipo de vivienda',
  [`${FieldNames.Insured.Person.HousingType}.placeholder`]: 'Selecciona tu tipo de vivienda',
  [`${FieldNames.Insured.Person.HousingType}.values.${HousingType.Family}`]: 'Familiar',
  [`${FieldNames.Insured.Person.HousingType}.values.${HousingType.Other}`]: 'Otra',
  [`${FieldNames.Insured.Person.HousingType}.values.${HousingType.Owner}`]: 'Propia',
  [`${FieldNames.Insured.Person.HousingType}.values.${HousingType.Rent}`]: 'Arrendada',
  [`${FieldNames.Insured.Person.IdentificationNumber}.label`]: 'Nº Identificación',
  [`${FieldNames.Insured.Person.IdentificationNumber}.placeholder`]: 'Nº Identificación',
  [`${FieldNames.Insured.Person.IdentificationType}.label`]: 'Tipo de identificación',
  [`${FieldNames.Insured.Person.IdentificationType}.placeholder`]: 'Tipo de identificación',
  [`${FieldNames.Insured.Person.IdentificationType}.values.${IdentificationType.ForeignNationalId}`]: 'Cédula de extranjería (C.E)',
  [`${FieldNames.Insured.Person.IdentificationType}.values.${IdentificationType.IdentifcationCard}`]: 'Tarjeta de identidad',
  [`${FieldNames.Insured.Person.IdentificationType}.values.${IdentificationType.NationalId}`]: 'Cédula de ciudadanía (C.C)',
  [`${FieldNames.Insured.Person.IdentificationType}.values.${IdentificationType.Passport}`]: 'Pasaporte',
  [`${FieldNames.Insured.Person.IdentificationType}.values.${IdentificationType.TaxesId}`]: 'NIT',
  [`${FieldNames.Insured.Person.Landline}.label`]: 'Teléfono fijo',
  [`${FieldNames.Insured.Person.Landline}.placeholder`]: '+57',
  [`${FieldNames.Insured.Person.LastName}.label`]: 'Primer apellido',
  [`${FieldNames.Insured.Person.LastName}.placeholder`]: 'Primer apellido',
  [`${FieldNames.Insured.Person.MiddleName}.helperText`]: 'Opcional',
  [`${FieldNames.Insured.Person.MiddleName}.label`]: 'Segundo nombre',
  [`${FieldNames.Insured.Person.MiddleName}.placeholder`]: 'Segundo nombre',
  [`${FieldNames.Insured.Person.Nationality}.label`]: 'Nacionalidad',
  [`${FieldNames.Insured.Person.Nationality}.placeholder`]: 'Selecciona tu nacionalidad',
  [`${FieldNames.Insured.Person.Neighborhood}.label`]: 'Barrio',
  [`${FieldNames.Insured.Person.Neighborhood}.placeholder`]: 'Barrio',
  [`${FieldNames.Insured.Person.PlaceIssued}.label`]: 'Lugar de expedición',
  [`${FieldNames.Insured.Person.PlaceIssued}.placeholder`]: 'Selecciona el lugar de expedición',
  [`${FieldNames.Insured.Person.Phone}.label`]: 'Celular',
  [`${FieldNames.Insured.Person.Phone}.placeholder`]: '+57 3',
  [`${FieldNames.Insured.Person.SecondLastName}.helperText`]: 'Opcional',
  [`${FieldNames.Insured.Person.SecondLastName}.label`]: 'Segundo apellido',
  [`${FieldNames.Insured.Person.SecondLastName}.placeholder`]: 'Segundo apellido',
  [`${FieldNames.Insured.Person.SocioeconomicLevel}.label`]: 'Estrato',
  [`${FieldNames.Insured.Person.SocioeconomicLevel}.placeholder`]: 'Selecciona tu estrato',

  [`${FieldNames.Insured.PrincipalSourceOfIncome}.helperText`]: 'Detalle ocupación, oficio, actividad o negocio',
  [`${FieldNames.Insured.PrincipalSourceOfIncome}.label`]: 'Indique',
  [`${FieldNames.Insured.PrincipalSourceOfIncome}.placeholder`]: 'Ej: Salario como recepcionista.',

  [`${FieldNames.Insured.PublicResources.HasPublicLink}.label`]: '¿Tienes algún vínculo con una persona considerada públicamente expuesta?',
  [`${FieldNames.Insured.PublicResources.HasPublicLink}.labelTooltip`]: 'Declara si tienes algún familiar que goce de reconocimiento público: Por ejemplo: Alcalde, senador, actor, actriz, entre otros.',
  [`${FieldNames.Insured.PublicResources.HasPublicPosition}.label`]: '¿Ejerce algún grado de poder público?',
  [`${FieldNames.Insured.PublicResources.HasPublicPosition}.labelTooltip`]: 'Declara si por tu cargo o actividad económica ejerce algún grado de poder público.',
  [`${FieldNames.Insured.PublicResources.IsPubliclyRecognized}.label`]: '¿Gozas de reconocimiento público general?',
  [`${FieldNames.Insured.PublicResources.IsPubliclyRecognized}.labelTooltip`]: 'Declara si por tu cargo o actividad económica gozas de reconocimiento público general.',
  [`${FieldNames.Insured.PublicResources.ManagePublicResources}.label`]: '¿Manejas recursos públicos?',
  [`${FieldNames.Insured.PublicResources.ManagePublicResources}.labelTooltip`]: 'Declara si por tu cargo o actividad económica manejas recursos públicos.',
  [`${FieldNames.Insured.PublicResources.PublicLinkName}.label`]: 'Nombre',
  [`${FieldNames.Insured.PublicResources.PublicLinkIdentificationNumber}.label`]: 'Nº. de identificación',
  [`${FieldNames.Insured.PublicResources.PublicLinkIdentificationType}.label`]: 'Tipo de identificación',
  [`${FieldNames.Insured.PublicResources.PublicLinkNationality}.label`]: 'Nacionalidad',
  [`${FieldNames.Insured.PublicResources.PublicLinkNationality}.placeholder`]: 'Selecciona su nacionalidad',
  [`${FieldNames.Insured.PublicResources.PublicLinkPosition}.label`]: 'Cargo',
  [`${FieldNames.Insured.PublicResources.PublicLinkRelation}.label`]: 'Vinculo/Relación',
  [`${FieldNames.Insured.PublicResources.PublicPosition}.helperText`]: 'Ejemplo: Alcalde, congresista, etc.',
  [`${FieldNames.Insured.PublicResources.PublicPosition}.label`]: 'Indique',
  [`${FieldNames.Insured.PublicResources.PublicRecognition}.helperText`]: 'Declara si por tu cargo o actividad gozas de reconocimiento público general',
  [`${FieldNames.Insured.PublicResources.PublicRecognition}.label`]: 'Explica tu reconocimiento público',
  [`${FieldNames.Insured.PublicResources.PublicResources}.label`]: 'Señale los recursos',

  [`${FieldNames.Insured.Work.Assets}.label`]: 'Valor de sus activos',
  [`${FieldNames.Insured.Work.Assets}.helperText`]: 'Consideramos el valor de tu auto como base de tus activos',
  [`${FieldNames.Insured.Work.CiiuCode}.label`]: 'Código CIIU',
  [`${FieldNames.Insured.Work.CiiuCode}.placeholder`]: 'Selecciona el código CIIU',
  [`${FieldNames.Insured.Work.Company}.label`]: 'Empresa',
  [`${FieldNames.Insured.Work.CompanyAddress}.label`]: 'Dirección donde trabaja',
  [`${FieldNames.Insured.Work.CompanyCity}.label`]: 'Ciudad donde trabaja',
  [`${FieldNames.Insured.Work.CompanyCity}.placeholder`]: 'Selecciona la ciudad donde trabaja',
  [`${FieldNames.Insured.Work.CompanyPhone}.helperText`]: 'Opcional. Teléfono fijo o celular',
  [`${FieldNames.Insured.Work.CompanyPhone}.label`]: 'Télefono laboral',
  [`${FieldNames.Insured.Work.CompanyPhone}.placeholder`]: '+57',
  [`${FieldNames.Insured.Work.CompanyType}.label`]: 'Tipo de empresa',
  [`${FieldNames.Insured.Work.CompanyType}.placeholder`]: 'Selecciona el tipo de empresa',
  [`${FieldNames.Insured.Work.CompanyType}.values.${CompanyTypes.Mixed}`]: 'Mixta',
  [`${FieldNames.Insured.Work.CompanyType}.values.${CompanyTypes.Oficial}`]: 'Oficial',
  [`${FieldNames.Insured.Work.CompanyType}.values.${CompanyTypes.Other}`]: 'Otra',
  [`${FieldNames.Insured.Work.CompanyType}.values.${CompanyTypes.Private}`]: 'Privada',
  [`${FieldNames.Insured.Work.Liabilities}.label`]: 'Valor de sus pasivos',
  [`${FieldNames.Insured.Work.Liabilities}.helperText`]: 'Del valor total de sus activos, ¿qué cantidad adeuda a bancos o entidades crediticias?',
  [`${FieldNames.Insured.Work.MonthlyIncome}.label`]: 'Ingreso mensual',
  [`${FieldNames.Insured.Work.MonthlyDischarge}.label`]: 'Egreso mensual',
  [`${FieldNames.Insured.Work.Occupation}.label`]: 'Ocupación o profesión',
  [`${FieldNames.Insured.Work.OccupationType}.label`]: 'Tipo de actividad',
  [`${FieldNames.Insured.Work.OccupationType}.placeholder`]: 'Selecciona tipo de actividad',
  [`${FieldNames.Insured.Work.OccupationType}.values.${OccupationTypes.Freelance}`]: 'Independiente',
  [`${FieldNames.Insured.Work.OccupationType}.values.${OccupationTypes.Hired}`]: 'Dependiente (asalariado)',
  [`${FieldNames.Insured.Work.OccupationType}.values.${OccupationTypes.Housekeeper}`]: 'Ama de casa',
  [`${FieldNames.Insured.Work.OccupationType}.values.${OccupationTypes.Retired}`]: 'Pensionado',
  [`${FieldNames.Insured.Work.OccupationType}.values.${OccupationTypes.Student}`]: 'Estudiante',
  [`${FieldNames.Insured.Work.Position}.label`]: 'Cargo',
  [`${FieldNames.Insured.Work.Wealth}.label`]: 'Patrimonio',

  [`${FieldNames.Payer.Work.Assets}.helperText`]: '¿Cuál es el valor total de los bienes que posee?',

  [`${FieldNames.Payment.CreditCard.CardExpedition}.label`]: 'Fecha de vencimiento',
  [`${FieldNames.Payment.CreditCard.CardExpedition}.helperText`]: 'MM/AA',
  [`${FieldNames.Payment.CreditCard.CardExpedition}.placeholder`]: 'MM/AA',
  [`${FieldNames.Payment.CreditCard.CardNumber}.label`]: 'Número de tarjeta',
  [`${FieldNames.Payment.CreditCard.Email}.label`]: 'Correo',
  [`${FieldNames.Payment.CreditCard.IdentificationNumber}.label`]: 'Número de identificación',
  [`${FieldNames.Payment.CreditCard.IdentificationNumber}.helperText`]: 'Ej: 1.111.111.111',
  [`${FieldNames.Payment.CreditCard.Installments}.label`]: 'Número de cuotas',
  [`${FieldNames.Payment.CreditCard.Name}.label`]: 'Nombre y apellido del titular',

  [`${FieldNames.Payment.Method}.values.${CicoPaymentMethod.Cash}.label`]: 'Efectivo',
  [`${FieldNames.Payment.Method}.values.${CicoPaymentMethod.Cash}.description`]: 'Pago total en efectivo mediante corresponsal o banco.',
  [`${FieldNames.Payment.Method}.values.${CicoPaymentMethod.CreditCard}.label`]: 'Tarjeta de crédito',
  [`${FieldNames.Payment.Method}.values.${CicoPaymentMethod.CreditCard}.description`]: 'Pago total con tarjeta de crédito.',
  [`${FieldNames.Payment.Method}.values.${CicoPaymentMethod.Financed}.label`]: 'Financiado',
  [`${FieldNames.Payment.Method}.values.${CicoPaymentMethod.Financed}.description`]: '{count, plural, =0{Pago diferido a cuotas.} other{Pago diferido a cuotas. Tasa de interés mensual #%}}',
  [`${FieldNames.Payment.Method}.values.${CicoPaymentMethod.Financed}.secondarySubLabel`]: '{installments} cuotas de',
  [`${FieldNames.Payment.Method}.values.${CicoPaymentMethod.Pse}.label`]: 'PSE',
  [`${FieldNames.Payment.Method}.values.${CicoPaymentMethod.Pse}.description`]: 'Pago total con débito en cuenta de ahorros o corriente.',
  [`${FieldNames.Payment.Method}.values.${CicoPaymentMethod.DirectToCompany}.label`]: 'Pago directo a la aseguradora',
  [`${FieldNames.Payment.Method}.values.${CicoPaymentMethod.DirectToCompany}.description`]: 'Las formas de pago disponibles varían de acuerdo a la aseguradora.',
  [`${FieldNames.Payment.Method}.warning.${CicoPaymentMethod.Cash}`]: 'Una vez emitida y enviada la póliza te enviaremos un correo con tu recibo para que realices el pago.',
  [`${FieldNames.Payment.Method}.warning.${CicoPaymentMethod.CreditCard}`]: 'Realizaremos el cobro una vez emitida y enviada la póliza.',
  [`${FieldNames.Payment.Method}.warning.${CicoPaymentMethod.Financed}`]: 'Una vez emitida y enviada la póliza <b>tendrás un plazo de 7 días para pagar a la financiera.</b>',
  [`${FieldNames.Payment.Method}.warning.${CicoPaymentMethod.Pse}`]: 'Una vez emitida y enviada la póliza te enviaremos un correo con el enlace para realizar el pago.',
  [`${FieldNames.Payment.Method}.warning.${CicoPaymentMethod.DirectToCompany}`]: 'Una vez emitida y enviada la póliza, recibirás un correo electrónico con la información para realizar el <b>pago directamente a {insuranceCompany}.</b><br><br> El medio de pago estará sujeto a los establecimientos/canales disponibles de {insuranceCompany}.',
  [`${FieldNames.Payment.Method}.warning.fallback.insuranceCompany`]: 'la aseguradora',
  'payment.option.imageAlt': 'logo opción pago directo a la aseguradora',
  'payment.btn': 'CONTRATAR AHORA',
  [`${FieldNames.Payment.PSE.Bank}.label`]: 'Selecciona tu banco',
  [`${FieldNames.Payment.PSE.IdentificationNumber}.label`]: 'Número de identificación',
  [`${FieldNames.Payment.PSE.IdentificationType}.label`]: 'Tipo de identificación',
  [`${FieldNames.Payment.PSE.IdentificationType}.values.${IdentificationType.ForeignNationalId}`]: 'Cédula de extranjería (C.E)',
  [`${FieldNames.Payment.PSE.IdentificationType}.values.${IdentificationType.IdentifcationCard}`]: 'Tarjeta de identidad',
  [`${FieldNames.Payment.PSE.IdentificationType}.values.${IdentificationType.NationalId}`]: 'Cédula de ciudadanía (C.C)',
  [`${FieldNames.Payment.PSE.IdentificationType}.values.${IdentificationType.Passport}`]: 'Pasaporte',
  [`${FieldNames.Payment.PSE.IdentificationType}.values.${IdentificationType.TaxesId}`]: 'NIT',
  [`${FieldNames.Payment.PSE.IdentificationType}.values.${ExtraIdentificationType.BirthCertificate}`]: 'Registro civil de nacimiento',
  [`${FieldNames.Payment.PSE.IdentificationType}.values.${ExtraIdentificationType.ForeignDocument}`]: 'Documento de identificación',
  [`${FieldNames.Payment.PSE.IdentificationType}.values.${ExtraIdentificationType.UniqueIdentifier}`]: 'Identificador único de cliente',
  [`${FieldNames.Payment.PSE.Name}.label`]: 'Nombre y apellido del titular',
  [`${FieldNames.Payment.PSE.PersonalType}.label`]: 'Tipo de cliente',
  [`${FieldNames.Payment.PSE.PersonalType}.values.${CicoClientType.Legal}`]: 'Persona jurídica',
  [`${FieldNames.Payment.PSE.PersonalType}.values.${CicoClientType.Natural}`]: 'Persona natural',

  [`${NoFieldNames.Inspection.VirtualInspectionModal}.label`]: '¿cómo hacer la inspección virtual asistida?',
  [`${NoFieldNames.Inspection.VirtualInspectionModal}.text.step1`]: 'Este tipo de inspección consiste en tomar fotografías y videos a tu vehículo. El procedimiento es en línea con la ayuda de un perito.',
  [`${NoFieldNames.Inspection.VirtualInspectionModal}.text.step2`]: 'Te llegará un correo, SMS o Whatsapp de Automás con el enlace para ingresar. Abre el enlace desde tu celular.',
  [`${NoFieldNames.Inspection.VirtualInspectionModal}.text.step3`]: 'Un perito te guirá para tomar las fotografías y grabar los videos de tu vehículo. ¡Es muy fácil!',
  [`${NoFieldNames.PromissoryNoteDownloaderField}.buttonText`]: 'Volver a descargar',
  [`${NoFieldNames.PromissoryNoteDownloaderField}.helperText`]: 'Revisa tus descargas ',
  [`${NoFieldNames.PromissoryNoteDownloaderField}.label`]: 'Pagaré generado',
  [`${NoFieldNames.PromissoryNoteDownloaderField}.digital`]: 'Pagaré generado y firmado electrónicamente',
  [`${NoFieldNames.PromissoryNoteDownloaderField}.sign`]: 'Firmar Pagaré',
  [`${NoFieldNames.PromissoryNoteDownloaderField}.modal.submit`]: 'Firmar electrónicamente',
  [`${NoFieldNames.PromissoryNoteDownloaderField}.modal.edit`]: 'Elegir otro metodo de pago',
  [`${NoFieldNames.PromissoryNoteDownloaderField}.modal.loading`]: 'Espera unos instantes...',
  [`${NoFieldNames.PromissoryNoteDownloaderField}.error`]: 'Es obligatorio firmar el pagaré para continuar.',

  // identity validation
  // - verification code
  'identityValidation.verificationCode.goToChallengeQuestionFlow.label': 'Utilizar otro método de verificación',
  'identityValidation.verificationCode.resendcode.button': 'Reenviar código',
  'identityValidation.verificationCode.resendcode.helperText': 'Te resta un reenvío',
  'identityValidation.verificationCode.resendcode.label': '¿No te llegó el código?',
  'identityValidation.challengeQuestions.failWarning': 'Las respuestas son incorrectas, no se pudo hacer la verificación. No podrás firmar electrónicamente.',

  // errors
  [`${ERROR_CODE_PREFIX}.${validators.creditCardCode}`]: 'Por favor ingresa un número de tarjeta válido',
  [`${ERROR_CODE_PREFIX}.${validators.creditCardExpeditionCode}`]: 'Por favor ingresa una fecha de vencimiento válida (MM/AA).',
  [`${ERROR_CODE_PREFIX}.${validators.creditCardTypeCode}`]: 'Por el momento no operamos con esta tarjeta',
  [`${ERROR_CODE_PREFIX}.${validators.dateCode}`]: 'Por favor ingresa una fecha válida',
  [`${ERROR_CODE_PREFIX}.${validators.emailCode}`]: 'Por favor ingresa un correo electrónico válido',
  [`${ERROR_CODE_PREFIX}.${validators.landLineCode}`]: 'Por favor ingresa un teléfono válido',
  [`${ERROR_CODE_PREFIX}.${validators.lengthMinCode}`]: 'El número de identificación debe tener al menos {min} dígitos',
  [`${ERROR_CODE_PREFIX}.${validators.matchCode}`]: 'Formato inválido',
  [`${ERROR_CODE_PREFIX}.${validators.maxCode}`]: 'El valor debe ser igual o menor a {max}',
  [`${ERROR_CODE_PREFIX}.${validators.minCode}`]: 'El valor debe ser igual o mayor a {min}',
  [`${ERROR_CODE_PREFIX}.${validators.mobilePhoneCode}`]: 'Por favor ingresa un teléfono válido',
  [`${ERROR_CODE_PREFIX}.${validators.requiredCode}`]: 'Debes llenar este campo',
  [`${ERROR_CODE_PREFIX}.${validators.withFalsiesError}`]: 'Debes llenar este campo',
  [`${ERROR_CODE_PREFIX}.${validators.invalidCardExpeditionFormatCode}`]: 'Formato inválido (MM/AA)'
};
