const headers = {
  accept: 'application/vnd.api+json',
  'Content-Type': 'application/vnd.api+json'
};

export type CreatePromissoryNote = (
  bffURL: string,
  funnelId: string
) => Promise<Response | undefined>;

export const createPromissoryNote: CreatePromissoryNote = (bffURL, funnelId) => {
  const response = fetch(`${bffURL}/financing-requests`, {
    headers,
    method: 'POST',
    body: JSON.stringify({
      data: {
        attributes: {
          funnelId
        },
        type: 'financing-requests'
      }
    })
  }).then(() => undefined);
  return response;
};
