import { FormatMessage } from '@comparaonline/react-intl-hooks';
import { AutoCompleteTextFieldFilled } from '@comparaonline/ui-form-fields-next';
import { validateWith } from '@comparaonline/ui-forms-validators/dist/validateWith';
import { FieldNames } from '../../constants';
import { SarlaftPersonType } from '../../types';
import { required } from '../../validators';
import { fieldIsRequired } from '../../helpers';

const I18N_PREFIX = FieldNames.Insured.Person.PlaceIssued;

export const getPlaceIssuedField = (
  sarlaftPersonType: SarlaftPersonType,
  optionalFieldNames?: string[]
) => ({
  checkForDataOptions: true,
  component: AutoCompleteTextFieldFilled,
  name: FieldNames[sarlaftPersonType].Person.PlaceIssued,
  showLabel: true,
  texts: {
    label: (t: FormatMessage) => t(`${I18N_PREFIX}.label`),
    placeholder: (t: FormatMessage) => t(`${I18N_PREFIX}.placeholder`)
  },
  validate:
    fieldIsRequired(FieldNames[sarlaftPersonType].Person.PlaceIssued, optionalFieldNames) &&
    validateWith(required)
});
