import { FormatMessage } from '@comparaonline/react-intl-hooks';
import { TextFieldFilled } from '@comparaonline/ui-form-fields-next';
import { FieldNames } from '../../constants';
import { SarlaftPersonType } from '../../types';

const I18N_PREFIX = FieldNames.Insured.Person.SecondLastName;

export const getSecondLastNameField = (sarlaftPersonType: SarlaftPersonType) => ({
  component: TextFieldFilled,
  name: FieldNames[sarlaftPersonType].Person.SecondLastName,
  showLabel: true,
  texts: {
    helperText: (t: FormatMessage) => t(`${I18N_PREFIX}.helperText`),
    label: (t: FormatMessage) => t(`${I18N_PREFIX}.label`),
    placeholder: (t: FormatMessage) => t(`${I18N_PREFIX}.placeholder`)
  }
});
