import { Step } from '@comparaonline/ui-wizard-step-manager';
import { SectionProps } from '@comparaonline/ui-wizard-step-manager/dist/types';

import { StepIds, StepNames } from '../../constants';
import { publicRecognition, publicResources, publicLink, publicPosition } from './fields';
import { SarlaftPersonType } from '../../types';

const publicResourcesSection: SectionProps = {
  id: 'publicResources',
  name: () => StepNames.PublicResources
};

const publicResourcesSteps = (
  sarlaftPersonType: SarlaftPersonType,
  optionalFieldNames?: string[]
): Step[] => [
  {
    section: publicResourcesSection,
    id: StepIds[`${sarlaftPersonType}PublicResources`],
    next: StepIds[`${sarlaftPersonType}ForeignTaxation`],
    title: t => t('publicResources.title'),
    subtitle: t => t(`sarlaft.${sarlaftPersonType}`),
    subtitlePlacement: 'top',
    fields: [
      ...publicResources(sarlaftPersonType, optionalFieldNames),
      ...publicRecognition(sarlaftPersonType, optionalFieldNames),
      ...publicPosition(sarlaftPersonType, optionalFieldNames),
      ...publicLink(sarlaftPersonType, optionalFieldNames)
    ]
  }
];

export { publicResourcesSteps };
