import { FieldSubscription } from '@comparaonline/ui-wizard-form-next';

import { FieldNames } from '../constants';
import { getCardType } from '../helpers/creditCard';

export const creditCardListener: FieldSubscription = {
  fieldName: FieldNames.Payment.CreditCard.CardNumber,
  subscriber: ({ formApi, fieldState: { value = '' } }) => {
    const cardType = getCardType(value, true);
    if (cardType) formApi.change(FieldNames.Payment.CreditCard.CardType, cardType.name);
  },
  subscriptionOptions: { value: true }
};
