import { FieldSubscription } from '@comparaonline/ui-wizard-form-next';
import { FieldNames } from '../constants';
import { SarlaftPersonType } from '../types';

const getFieldsToClean = (sarlaftPersonType): string[] => [
  FieldNames[sarlaftPersonType].Insurance.Amount,
  FieldNames[sarlaftPersonType].Insurance.Category,
  FieldNames[sarlaftPersonType].Insurance.Company,
  FieldNames[sarlaftPersonType].Insurance.Ramification,
  FieldNames[sarlaftPersonType].Insurance.Result,
  FieldNames[sarlaftPersonType].Insurance.Year
];

const hasClaimsListener: FieldSubscription[] = Object.keys(SarlaftPersonType).map(
  sarlaftPersonType => ({
    fieldName: FieldNames[sarlaftPersonType].HasClaims,
    subscriber: ({ formApi, fieldState: { value } }) => {
      if (!value) {
        formApi.batch(() =>
          getFieldsToClean(sarlaftPersonType).forEach(fieldName => formApi.change(fieldName))
        );
      }
    },
    subscriptionOptions: { value: true }
  })
);

export { hasClaimsListener };
