import { FieldSubscription } from '@comparaonline/ui-wizard-form-next';

import { creditCardListener } from './creditCard';
import { hasClaimsListener } from './hasClaimsListener';
import { occupationTypeListener } from './occupationType';
import { onFormValidSubscription } from './onFormValid';
import { wealthCalculators } from './createWealthCalculators';
import { nationalityListener } from './nationalityListener';
import { errorOrderInspection } from './errorOrderInspection';

const getFieldSubscriptions = (): FieldSubscription[] => [
  creditCardListener,
  errorOrderInspection,
  ...hasClaimsListener,
  ...wealthCalculators,
  ...nationalityListener,
  ...occupationTypeListener
];

export { getFieldSubscriptions, onFormValidSubscription };
