import { FieldSubscription } from '@comparaonline/ui-wizard-form-next';

import { FieldNames, optionOther, country } from '../constants';
import { getFieldStateValue } from '../helpers';
import { SarlaftPersonType } from '../types';

const nationalityListener: FieldSubscription[] = Object.keys(SarlaftPersonType).map(
  sarlaftPersonType => ({
    fieldName: FieldNames[sarlaftPersonType].Person.Nationality,
    subscriber: ({ formApi, fieldState: { value } }) => {
      const Birthplace = FieldNames[sarlaftPersonType].Person.Birthplace;
      const birthplaceValue = getFieldStateValue(formApi, Birthplace);
      const isColombia = value && value.value === country;
      const isOther = birthplaceValue && birthplaceValue.value === optionOther.value;

      if (!isColombia) {
        formApi.change(Birthplace, optionOther);
      } else if (isOther) {
        formApi.change(Birthplace, undefined);
      }

      formApi.mutators.setFieldData(Birthplace, data => ({
        ...data,
        loading: !isColombia
      }));
    },
    subscriptionOptions: { value: true }
  })
);

export { nationalityListener };
