import { getIn } from 'final-form';
import { CustomizableValidator } from '@comparaonline/ui-forms-validators/dist/types/Validator';
import { Validator } from '@comparaonline/ui-forms-validators/dist/types/Validator';
import { FieldNames, NoFieldNames } from '../constants';
import { getFieldStateValue } from '../helpers';

interface GeneratorParams {
  valueName: string;
  errorCode: string;
}

export const generator: CustomizableValidator<GeneratorParams> = ({ valueName, errorCode }) => (
  _value,
  allValues
) => {
  const value: string | number | undefined = getIn(allValues, valueName);
  return value !== undefined && value !== null && String(value).trim() ? undefined : { errorCode };
};

const POSITION_FORMAPI = 5;

export const generatorOrder: Validator<string> = (...args) => {
  const formApi = args[POSITION_FORMAPI];
  const numOrder = getFieldStateValue(formApi, FieldNames.Inspection.Number);
  const errorGenerateOrder = getFieldStateValue(
    formApi,
    FieldNames.FieldsNoSave.ErrorInspectionOrder
  );
  return numOrder || errorGenerateOrder
    ? undefined
    : { errorCode: `${NoFieldNames.Inspection.InspectionOrder}.error` };
};
