import { Validator } from '@comparaonline/ui-forms-validators/dist/types/Validator';
import { FileValue } from '@comparaonline/ui-form-fields-next';

import { requiredCode } from './validators';

const requiredAttributes: (keyof FileValue)[] = ['uploadDate', 'uploadUrl', 'fileName'];

export const requiredFile: Validator<FileValue> = fileValue => {
  const fileValueAttributes = Object.keys(fileValue);
  const isFullFileValue = requiredAttributes.every(requiredAttribute =>
    fileValueAttributes.some(
      attribute => requiredAttribute === attribute && Boolean(fileValue[attribute])
    )
  );
  return isFullFileValue ? undefined : { errorCode: requiredCode };
};
